﻿
namespace TestProject.Web
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;
    using System.Data;
    using System.Linq;
    using System.ServiceModel.DomainServices.EntityFramework;
    using System.ServiceModel.DomainServices.Hosting;
    using System.ServiceModel.DomainServices.Server;


    // Implements application logic using the DanaTraining_devEntities context.
    // TODO: Add your application logic to these methods or in additional methods.
    // TODO: Wire up authentication (Windows/ASP.NET Forms) and uncomment the following to disable anonymous access
    // Also consider adding roles to restrict access as appropriate.
    // [RequiresAuthentication]
    [EnableClientAccess()]
    public class DomainService1 : LinqToEntitiesDomainService<DanaTraining_devEntities>
    {

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'AccountsPayables' query.
        public IQueryable<AccountsPayable> GetAccountsPayables()
        {
            return this.ObjectContext.AccountsPayables;
        }

        public void InsertAccountsPayable(AccountsPayable accountsPayable)
        {
            if ((accountsPayable.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(accountsPayable, EntityState.Added);
            }
            else
            {
                this.ObjectContext.AccountsPayables.AddObject(accountsPayable);
            }
        }

        public void UpdateAccountsPayable(AccountsPayable currentAccountsPayable)
        {
            this.ObjectContext.AccountsPayables.AttachAsModified(currentAccountsPayable, this.ChangeSet.GetOriginal(currentAccountsPayable));
        }

        public void DeleteAccountsPayable(AccountsPayable accountsPayable)
        {
            if ((accountsPayable.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(accountsPayable, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.AccountsPayables.Attach(accountsPayable);
                this.ObjectContext.AccountsPayables.DeleteObject(accountsPayable);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'AccountsReceivables' query.
        public IQueryable<AccountsReceivable> GetAccountsReceivables()
        {
            return this.ObjectContext.AccountsReceivables;
        }

        public void InsertAccountsReceivable(AccountsReceivable accountsReceivable)
        {
            if ((accountsReceivable.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(accountsReceivable, EntityState.Added);
            }
            else
            {
                this.ObjectContext.AccountsReceivables.AddObject(accountsReceivable);
            }
        }

        public void UpdateAccountsReceivable(AccountsReceivable currentAccountsReceivable)
        {
            this.ObjectContext.AccountsReceivables.AttachAsModified(currentAccountsReceivable, this.ChangeSet.GetOriginal(currentAccountsReceivable));
        }

        public void DeleteAccountsReceivable(AccountsReceivable accountsReceivable)
        {
            if ((accountsReceivable.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(accountsReceivable, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.AccountsReceivables.Attach(accountsReceivable);
                this.ObjectContext.AccountsReceivables.DeleteObject(accountsReceivable);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Applications' query.
        public IQueryable<Application> GetApplications()
        {
            return this.ObjectContext.Applications;
        }

        public void InsertApplication(Application application)
        {
            if ((application.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(application, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Applications.AddObject(application);
            }
        }

        public void UpdateApplication(Application currentApplication)
        {
            this.ObjectContext.Applications.AttachAsModified(currentApplication, this.ChangeSet.GetOriginal(currentApplication));
        }

        public void DeleteApplication(Application application)
        {
            if ((application.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(application, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.Applications.Attach(application);
                this.ObjectContext.Applications.DeleteObject(application);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'aspnet_Applications' query.
        public IQueryable<aspnet_Applications> GetAspnet_Applications()
        {
            return this.ObjectContext.aspnet_Applications;
        }

        public void InsertAspnet_Applications(aspnet_Applications aspnet_Applications)
        {
            if ((aspnet_Applications.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(aspnet_Applications, EntityState.Added);
            }
            else
            {
                this.ObjectContext.aspnet_Applications.AddObject(aspnet_Applications);
            }
        }

        public void UpdateAspnet_Applications(aspnet_Applications currentaspnet_Applications)
        {
            this.ObjectContext.aspnet_Applications.AttachAsModified(currentaspnet_Applications, this.ChangeSet.GetOriginal(currentaspnet_Applications));
        }

        public void DeleteAspnet_Applications(aspnet_Applications aspnet_Applications)
        {
            if ((aspnet_Applications.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(aspnet_Applications, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.aspnet_Applications.Attach(aspnet_Applications);
                this.ObjectContext.aspnet_Applications.DeleteObject(aspnet_Applications);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'aspnet_Membership' query.
        public IQueryable<aspnet_Membership> GetAspnet_Membership()
        {
            return this.ObjectContext.aspnet_Membership;
        }

        public void InsertAspnet_Membership(aspnet_Membership aspnet_Membership)
        {
            if ((aspnet_Membership.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(aspnet_Membership, EntityState.Added);
            }
            else
            {
                this.ObjectContext.aspnet_Membership.AddObject(aspnet_Membership);
            }
        }

        public void UpdateAspnet_Membership(aspnet_Membership currentaspnet_Membership)
        {
            this.ObjectContext.aspnet_Membership.AttachAsModified(currentaspnet_Membership, this.ChangeSet.GetOriginal(currentaspnet_Membership));
        }

        public void DeleteAspnet_Membership(aspnet_Membership aspnet_Membership)
        {
            if ((aspnet_Membership.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(aspnet_Membership, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.aspnet_Membership.Attach(aspnet_Membership);
                this.ObjectContext.aspnet_Membership.DeleteObject(aspnet_Membership);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'aspnet_Paths' query.
        public IQueryable<aspnet_Paths> GetAspnet_Paths()
        {
            return this.ObjectContext.aspnet_Paths;
        }

        public void InsertAspnet_Paths(aspnet_Paths aspnet_Paths)
        {
            if ((aspnet_Paths.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(aspnet_Paths, EntityState.Added);
            }
            else
            {
                this.ObjectContext.aspnet_Paths.AddObject(aspnet_Paths);
            }
        }

        public void UpdateAspnet_Paths(aspnet_Paths currentaspnet_Paths)
        {
            this.ObjectContext.aspnet_Paths.AttachAsModified(currentaspnet_Paths, this.ChangeSet.GetOriginal(currentaspnet_Paths));
        }

        public void DeleteAspnet_Paths(aspnet_Paths aspnet_Paths)
        {
            if ((aspnet_Paths.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(aspnet_Paths, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.aspnet_Paths.Attach(aspnet_Paths);
                this.ObjectContext.aspnet_Paths.DeleteObject(aspnet_Paths);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'aspnet_PersonalizationAllUsers' query.
        public IQueryable<aspnet_PersonalizationAllUsers> GetAspnet_PersonalizationAllUsers()
        {
            return this.ObjectContext.aspnet_PersonalizationAllUsers;
        }

        public void InsertAspnet_PersonalizationAllUsers(aspnet_PersonalizationAllUsers aspnet_PersonalizationAllUsers)
        {
            if ((aspnet_PersonalizationAllUsers.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(aspnet_PersonalizationAllUsers, EntityState.Added);
            }
            else
            {
                this.ObjectContext.aspnet_PersonalizationAllUsers.AddObject(aspnet_PersonalizationAllUsers);
            }
        }

        public void UpdateAspnet_PersonalizationAllUsers(aspnet_PersonalizationAllUsers currentaspnet_PersonalizationAllUsers)
        {
            this.ObjectContext.aspnet_PersonalizationAllUsers.AttachAsModified(currentaspnet_PersonalizationAllUsers, this.ChangeSet.GetOriginal(currentaspnet_PersonalizationAllUsers));
        }

        public void DeleteAspnet_PersonalizationAllUsers(aspnet_PersonalizationAllUsers aspnet_PersonalizationAllUsers)
        {
            if ((aspnet_PersonalizationAllUsers.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(aspnet_PersonalizationAllUsers, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.aspnet_PersonalizationAllUsers.Attach(aspnet_PersonalizationAllUsers);
                this.ObjectContext.aspnet_PersonalizationAllUsers.DeleteObject(aspnet_PersonalizationAllUsers);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'aspnet_PersonalizationPerUser' query.
        public IQueryable<aspnet_PersonalizationPerUser> GetAspnet_PersonalizationPerUser()
        {
            return this.ObjectContext.aspnet_PersonalizationPerUser;
        }

        public void InsertAspnet_PersonalizationPerUser(aspnet_PersonalizationPerUser aspnet_PersonalizationPerUser)
        {
            if ((aspnet_PersonalizationPerUser.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(aspnet_PersonalizationPerUser, EntityState.Added);
            }
            else
            {
                this.ObjectContext.aspnet_PersonalizationPerUser.AddObject(aspnet_PersonalizationPerUser);
            }
        }

        public void UpdateAspnet_PersonalizationPerUser(aspnet_PersonalizationPerUser currentaspnet_PersonalizationPerUser)
        {
            this.ObjectContext.aspnet_PersonalizationPerUser.AttachAsModified(currentaspnet_PersonalizationPerUser, this.ChangeSet.GetOriginal(currentaspnet_PersonalizationPerUser));
        }

        public void DeleteAspnet_PersonalizationPerUser(aspnet_PersonalizationPerUser aspnet_PersonalizationPerUser)
        {
            if ((aspnet_PersonalizationPerUser.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(aspnet_PersonalizationPerUser, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.aspnet_PersonalizationPerUser.Attach(aspnet_PersonalizationPerUser);
                this.ObjectContext.aspnet_PersonalizationPerUser.DeleteObject(aspnet_PersonalizationPerUser);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'aspnet_Profile' query.
        public IQueryable<aspnet_Profile> GetAspnet_Profile()
        {
            return this.ObjectContext.aspnet_Profile;
        }

        public void InsertAspnet_Profile(aspnet_Profile aspnet_Profile)
        {
            if ((aspnet_Profile.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(aspnet_Profile, EntityState.Added);
            }
            else
            {
                this.ObjectContext.aspnet_Profile.AddObject(aspnet_Profile);
            }
        }

        public void UpdateAspnet_Profile(aspnet_Profile currentaspnet_Profile)
        {
            this.ObjectContext.aspnet_Profile.AttachAsModified(currentaspnet_Profile, this.ChangeSet.GetOriginal(currentaspnet_Profile));
        }

        public void DeleteAspnet_Profile(aspnet_Profile aspnet_Profile)
        {
            if ((aspnet_Profile.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(aspnet_Profile, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.aspnet_Profile.Attach(aspnet_Profile);
                this.ObjectContext.aspnet_Profile.DeleteObject(aspnet_Profile);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'aspnet_Roles' query.
        public IQueryable<aspnet_Roles> GetAspnet_Roles()
        {
            return this.ObjectContext.aspnet_Roles;
        }

        public void InsertAspnet_Roles(aspnet_Roles aspnet_Roles)
        {
            if ((aspnet_Roles.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(aspnet_Roles, EntityState.Added);
            }
            else
            {
                this.ObjectContext.aspnet_Roles.AddObject(aspnet_Roles);
            }
        }

        public void UpdateAspnet_Roles(aspnet_Roles currentaspnet_Roles)
        {
            this.ObjectContext.aspnet_Roles.AttachAsModified(currentaspnet_Roles, this.ChangeSet.GetOriginal(currentaspnet_Roles));
        }

        public void DeleteAspnet_Roles(aspnet_Roles aspnet_Roles)
        {
            if ((aspnet_Roles.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(aspnet_Roles, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.aspnet_Roles.Attach(aspnet_Roles);
                this.ObjectContext.aspnet_Roles.DeleteObject(aspnet_Roles);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'aspnet_SchemaVersions' query.
        public IQueryable<aspnet_SchemaVersions> GetAspnet_SchemaVersions()
        {
            return this.ObjectContext.aspnet_SchemaVersions;
        }

        public void InsertAspnet_SchemaVersions(aspnet_SchemaVersions aspnet_SchemaVersions)
        {
            if ((aspnet_SchemaVersions.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(aspnet_SchemaVersions, EntityState.Added);
            }
            else
            {
                this.ObjectContext.aspnet_SchemaVersions.AddObject(aspnet_SchemaVersions);
            }
        }

        public void UpdateAspnet_SchemaVersions(aspnet_SchemaVersions currentaspnet_SchemaVersions)
        {
            this.ObjectContext.aspnet_SchemaVersions.AttachAsModified(currentaspnet_SchemaVersions, this.ChangeSet.GetOriginal(currentaspnet_SchemaVersions));
        }

        public void DeleteAspnet_SchemaVersions(aspnet_SchemaVersions aspnet_SchemaVersions)
        {
            if ((aspnet_SchemaVersions.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(aspnet_SchemaVersions, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.aspnet_SchemaVersions.Attach(aspnet_SchemaVersions);
                this.ObjectContext.aspnet_SchemaVersions.DeleteObject(aspnet_SchemaVersions);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'aspnet_Users' query.
        public IQueryable<aspnet_Users> GetAspnet_Users()
        {
            return this.ObjectContext.aspnet_Users;
        }

        public void InsertAspnet_Users(aspnet_Users aspnet_Users)
        {
            if ((aspnet_Users.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(aspnet_Users, EntityState.Added);
            }
            else
            {
                this.ObjectContext.aspnet_Users.AddObject(aspnet_Users);
            }
        }

        public void UpdateAspnet_Users(aspnet_Users currentaspnet_Users)
        {
            this.ObjectContext.aspnet_Users.AttachAsModified(currentaspnet_Users, this.ChangeSet.GetOriginal(currentaspnet_Users));
        }

        public void DeleteAspnet_Users(aspnet_Users aspnet_Users)
        {
            if ((aspnet_Users.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(aspnet_Users, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.aspnet_Users.Attach(aspnet_Users);
                this.ObjectContext.aspnet_Users.DeleteObject(aspnet_Users);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'aspnet_WebEvent_Events' query.
        public IQueryable<aspnet_WebEvent_Events> GetAspnet_WebEvent_Events()
        {
            return this.ObjectContext.aspnet_WebEvent_Events;
        }

        public void InsertAspnet_WebEvent_Events(aspnet_WebEvent_Events aspnet_WebEvent_Events)
        {
            if ((aspnet_WebEvent_Events.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(aspnet_WebEvent_Events, EntityState.Added);
            }
            else
            {
                this.ObjectContext.aspnet_WebEvent_Events.AddObject(aspnet_WebEvent_Events);
            }
        }

        public void UpdateAspnet_WebEvent_Events(aspnet_WebEvent_Events currentaspnet_WebEvent_Events)
        {
            this.ObjectContext.aspnet_WebEvent_Events.AttachAsModified(currentaspnet_WebEvent_Events, this.ChangeSet.GetOriginal(currentaspnet_WebEvent_Events));
        }

        public void DeleteAspnet_WebEvent_Events(aspnet_WebEvent_Events aspnet_WebEvent_Events)
        {
            if ((aspnet_WebEvent_Events.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(aspnet_WebEvent_Events, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.aspnet_WebEvent_Events.Attach(aspnet_WebEvent_Events);
                this.ObjectContext.aspnet_WebEvent_Events.DeleteObject(aspnet_WebEvent_Events);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'BalanceSheets' query.
        public IQueryable<BalanceSheet> GetBalanceSheets()
        {
            return this.ObjectContext.BalanceSheets;
        }

        public void InsertBalanceSheet(BalanceSheet balanceSheet)
        {
            if ((balanceSheet.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(balanceSheet, EntityState.Added);
            }
            else
            {
                this.ObjectContext.BalanceSheets.AddObject(balanceSheet);
            }
        }

        public void UpdateBalanceSheet(BalanceSheet currentBalanceSheet)
        {
            this.ObjectContext.BalanceSheets.AttachAsModified(currentBalanceSheet, this.ChangeSet.GetOriginal(currentBalanceSheet));
        }

        public void DeleteBalanceSheet(BalanceSheet balanceSheet)
        {
            if ((balanceSheet.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(balanceSheet, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.BalanceSheets.Attach(balanceSheet);
                this.ObjectContext.BalanceSheets.DeleteObject(balanceSheet);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Competitors' query.
        public IQueryable<Competitor> GetCompetitors()
        {
            return this.ObjectContext.Competitors;
        }

        public void InsertCompetitor(Competitor competitor)
        {
            if ((competitor.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(competitor, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Competitors.AddObject(competitor);
            }
        }

        public void UpdateCompetitor(Competitor currentCompetitor)
        {
            this.ObjectContext.Competitors.AttachAsModified(currentCompetitor, this.ChangeSet.GetOriginal(currentCompetitor));
        }

        public void DeleteCompetitor(Competitor competitor)
        {
            if ((competitor.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(competitor, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.Competitors.Attach(competitor);
                this.ObjectContext.Competitors.DeleteObject(competitor);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Customers' query.
        public IQueryable<Customer> GetCustomers()
        {
            return this.ObjectContext.Customers;
        }

        public void InsertCustomer(Customer customer)
        {
            if ((customer.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(customer, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Customers.AddObject(customer);
            }
        }

        public void UpdateCustomer(Customer currentCustomer)
        {
            this.ObjectContext.Customers.AttachAsModified(currentCustomer, this.ChangeSet.GetOriginal(currentCustomer));
        }

        public void DeleteCustomer(Customer customer)
        {
            if ((customer.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(customer, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.Customers.Attach(customer);
                this.ObjectContext.Customers.DeleteObject(customer);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'CustomerDemands' query.
        public IQueryable<CustomerDemand> GetCustomerDemands()
        {
            return this.ObjectContext.CustomerDemands;
        }

        public void InsertCustomerDemand(CustomerDemand customerDemand)
        {
            if ((customerDemand.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(customerDemand, EntityState.Added);
            }
            else
            {
                this.ObjectContext.CustomerDemands.AddObject(customerDemand);
            }
        }

        public void UpdateCustomerDemand(CustomerDemand currentCustomerDemand)
        {
            this.ObjectContext.CustomerDemands.AttachAsModified(currentCustomerDemand, this.ChangeSet.GetOriginal(currentCustomerDemand));
        }

        public void DeleteCustomerDemand(CustomerDemand customerDemand)
        {
            if ((customerDemand.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(customerDemand, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.CustomerDemands.Attach(customerDemand);
                this.ObjectContext.CustomerDemands.DeleteObject(customerDemand);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'CustomerOrders' query.
        public IQueryable<CustomerOrder> GetCustomerOrders()
        {
            return this.ObjectContext.CustomerOrders;
        }

        public void InsertCustomerOrder(CustomerOrder customerOrder)
        {
            if ((customerOrder.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(customerOrder, EntityState.Added);
            }
            else
            {
                this.ObjectContext.CustomerOrders.AddObject(customerOrder);
            }
        }

        public void UpdateCustomerOrder(CustomerOrder currentCustomerOrder)
        {
            this.ObjectContext.CustomerOrders.AttachAsModified(currentCustomerOrder, this.ChangeSet.GetOriginal(currentCustomerOrder));
        }

        public void DeleteCustomerOrder(CustomerOrder customerOrder)
        {
            if ((customerOrder.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(customerOrder, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.CustomerOrders.Attach(customerOrder);
                this.ObjectContext.CustomerOrders.DeleteObject(customerOrder);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'CustomerScorecards' query.
        public IQueryable<CustomerScorecard> GetCustomerScorecards()
        {
            return this.ObjectContext.CustomerScorecards;
        }

        public void InsertCustomerScorecard(CustomerScorecard customerScorecard)
        {
            if ((customerScorecard.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(customerScorecard, EntityState.Added);
            }
            else
            {
                this.ObjectContext.CustomerScorecards.AddObject(customerScorecard);
            }
        }

        public void UpdateCustomerScorecard(CustomerScorecard currentCustomerScorecard)
        {
            this.ObjectContext.CustomerScorecards.AttachAsModified(currentCustomerScorecard, this.ChangeSet.GetOriginal(currentCustomerScorecard));
        }

        public void DeleteCustomerScorecard(CustomerScorecard customerScorecard)
        {
            if ((customerScorecard.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(customerScorecard, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.CustomerScorecards.Attach(customerScorecard);
                this.ObjectContext.CustomerScorecards.DeleteObject(customerScorecard);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'CustomerShippings' query.
        public IQueryable<CustomerShipping> GetCustomerShippings()
        {
            return this.ObjectContext.CustomerShippings;
        }

        public void InsertCustomerShipping(CustomerShipping customerShipping)
        {
            if ((customerShipping.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(customerShipping, EntityState.Added);
            }
            else
            {
                this.ObjectContext.CustomerShippings.AddObject(customerShipping);
            }
        }

        public void UpdateCustomerShipping(CustomerShipping currentCustomerShipping)
        {
            this.ObjectContext.CustomerShippings.AttachAsModified(currentCustomerShipping, this.ChangeSet.GetOriginal(currentCustomerShipping));
        }

        public void DeleteCustomerShipping(CustomerShipping customerShipping)
        {
            if ((customerShipping.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(customerShipping, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.CustomerShippings.Attach(customerShipping);
                this.ObjectContext.CustomerShippings.DeleteObject(customerShipping);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Equipments' query.
        public IQueryable<Equipment> GetEquipments()
        {
            return this.ObjectContext.Equipments;
        }

        public void InsertEquipment(Equipment equipment)
        {
            if ((equipment.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(equipment, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Equipments.AddObject(equipment);
            }
        }

        public void UpdateEquipment(Equipment currentEquipment)
        {
            this.ObjectContext.Equipments.AttachAsModified(currentEquipment, this.ChangeSet.GetOriginal(currentEquipment));
        }

        public void DeleteEquipment(Equipment equipment)
        {
            if ((equipment.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(equipment, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.Equipments.Attach(equipment);
                this.ObjectContext.Equipments.DeleteObject(equipment);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'ExternalDatas' query.
        public IQueryable<ExternalData> GetExternalDatas()
        {
            return this.ObjectContext.ExternalDatas;
        }

        public void InsertExternalData(ExternalData externalData)
        {
            if ((externalData.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(externalData, EntityState.Added);
            }
            else
            {
                this.ObjectContext.ExternalDatas.AddObject(externalData);
            }
        }

        public void UpdateExternalData(ExternalData currentExternalData)
        {
            this.ObjectContext.ExternalDatas.AttachAsModified(currentExternalData, this.ChangeSet.GetOriginal(currentExternalData));
        }

        public void DeleteExternalData(ExternalData externalData)
        {
            if ((externalData.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(externalData, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.ExternalDatas.Attach(externalData);
                this.ObjectContext.ExternalDatas.DeleteObject(externalData);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'FinancialScorecards' query.
        public IQueryable<FinancialScorecard> GetFinancialScorecards()
        {
            return this.ObjectContext.FinancialScorecards;
        }

        public void InsertFinancialScorecard(FinancialScorecard financialScorecard)
        {
            if ((financialScorecard.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(financialScorecard, EntityState.Added);
            }
            else
            {
                this.ObjectContext.FinancialScorecards.AddObject(financialScorecard);
            }
        }

        public void UpdateFinancialScorecard(FinancialScorecard currentFinancialScorecard)
        {
            this.ObjectContext.FinancialScorecards.AttachAsModified(currentFinancialScorecard, this.ChangeSet.GetOriginal(currentFinancialScorecard));
        }

        public void DeleteFinancialScorecard(FinancialScorecard financialScorecard)
        {
            if ((financialScorecard.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(financialScorecard, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.FinancialScorecards.Attach(financialScorecard);
                this.ObjectContext.FinancialScorecards.DeleteObject(financialScorecard);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Games' query.
        public IQueryable<Game> GetGames()
        {
            return this.ObjectContext.Games;
        }

        public void InsertGame(Game game)
        {
            if ((game.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(game, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Games.AddObject(game);
            }
        }

        public void UpdateGame(Game currentGame)
        {
            this.ObjectContext.Games.AttachAsModified(currentGame, this.ChangeSet.GetOriginal(currentGame));
        }

        public void DeleteGame(Game game)
        {
            if ((game.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(game, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.Games.Attach(game);
                this.ObjectContext.Games.DeleteObject(game);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'GameCustomers' query.
        public IQueryable<GameCustomer> GetGameCustomers()
        {
            return this.ObjectContext.GameCustomers;
        }

        public void InsertGameCustomer(GameCustomer gameCustomer)
        {
            if ((gameCustomer.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(gameCustomer, EntityState.Added);
            }
            else
            {
                this.ObjectContext.GameCustomers.AddObject(gameCustomer);
            }
        }

        public void UpdateGameCustomer(GameCustomer currentGameCustomer)
        {
            this.ObjectContext.GameCustomers.AttachAsModified(currentGameCustomer, this.ChangeSet.GetOriginal(currentGameCustomer));
        }

        public void DeleteGameCustomer(GameCustomer gameCustomer)
        {
            if ((gameCustomer.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(gameCustomer, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.GameCustomers.Attach(gameCustomer);
                this.ObjectContext.GameCustomers.DeleteObject(gameCustomer);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'GameEquipments' query.
        public IQueryable<GameEquipment> GetGameEquipments()
        {
            return this.ObjectContext.GameEquipments;
        }

        public void InsertGameEquipment(GameEquipment gameEquipment)
        {
            if ((gameEquipment.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(gameEquipment, EntityState.Added);
            }
            else
            {
                this.ObjectContext.GameEquipments.AddObject(gameEquipment);
            }
        }

        public void UpdateGameEquipment(GameEquipment currentGameEquipment)
        {
            this.ObjectContext.GameEquipments.AttachAsModified(currentGameEquipment, this.ChangeSet.GetOriginal(currentGameEquipment));
        }

        public void DeleteGameEquipment(GameEquipment gameEquipment)
        {
            if ((gameEquipment.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(gameEquipment, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.GameEquipments.Attach(gameEquipment);
                this.ObjectContext.GameEquipments.DeleteObject(gameEquipment);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'GameLabors' query.
        public IQueryable<GameLabor> GetGameLabors()
        {
            return this.ObjectContext.GameLabors;
        }

        public void InsertGameLabor(GameLabor gameLabor)
        {
            if ((gameLabor.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(gameLabor, EntityState.Added);
            }
            else
            {
                this.ObjectContext.GameLabors.AddObject(gameLabor);
            }
        }

        public void UpdateGameLabor(GameLabor currentGameLabor)
        {
            this.ObjectContext.GameLabors.AttachAsModified(currentGameLabor, this.ChangeSet.GetOriginal(currentGameLabor));
        }

        public void DeleteGameLabor(GameLabor gameLabor)
        {
            if ((gameLabor.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(gameLabor, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.GameLabors.Attach(gameLabor);
                this.ObjectContext.GameLabors.DeleteObject(gameLabor);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'GameProducts' query.
        public IQueryable<GameProduct> GetGameProducts()
        {
            return this.ObjectContext.GameProducts;
        }

        public void InsertGameProduct(GameProduct gameProduct)
        {
            if ((gameProduct.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(gameProduct, EntityState.Added);
            }
            else
            {
                this.ObjectContext.GameProducts.AddObject(gameProduct);
            }
        }

        public void UpdateGameProduct(GameProduct currentGameProduct)
        {
            this.ObjectContext.GameProducts.AttachAsModified(currentGameProduct, this.ChangeSet.GetOriginal(currentGameProduct));
        }

        public void DeleteGameProduct(GameProduct gameProduct)
        {
            if ((gameProduct.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(gameProduct, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.GameProducts.Attach(gameProduct);
                this.ObjectContext.GameProducts.DeleteObject(gameProduct);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'GameSuppliers' query.
        public IQueryable<GameSupplier> GetGameSuppliers()
        {
            return this.ObjectContext.GameSuppliers;
        }

        public void InsertGameSupplier(GameSupplier gameSupplier)
        {
            if ((gameSupplier.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(gameSupplier, EntityState.Added);
            }
            else
            {
                this.ObjectContext.GameSuppliers.AddObject(gameSupplier);
            }
        }

        public void UpdateGameSupplier(GameSupplier currentGameSupplier)
        {
            this.ObjectContext.GameSuppliers.AttachAsModified(currentGameSupplier, this.ChangeSet.GetOriginal(currentGameSupplier));
        }

        public void DeleteGameSupplier(GameSupplier gameSupplier)
        {
            if ((gameSupplier.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(gameSupplier, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.GameSuppliers.Attach(gameSupplier);
                this.ObjectContext.GameSuppliers.DeleteObject(gameSupplier);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'HiringStrategies' query.
        public IQueryable<HiringStrategy> GetHiringStrategies()
        {
            return this.ObjectContext.HiringStrategies;
        }

        public void InsertHiringStrategy(HiringStrategy hiringStrategy)
        {
            if ((hiringStrategy.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(hiringStrategy, EntityState.Added);
            }
            else
            {
                this.ObjectContext.HiringStrategies.AddObject(hiringStrategy);
            }
        }

        public void UpdateHiringStrategy(HiringStrategy currentHiringStrategy)
        {
            this.ObjectContext.HiringStrategies.AttachAsModified(currentHiringStrategy, this.ChangeSet.GetOriginal(currentHiringStrategy));
        }

        public void DeleteHiringStrategy(HiringStrategy hiringStrategy)
        {
            if ((hiringStrategy.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(hiringStrategy, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.HiringStrategies.Attach(hiringStrategy);
                this.ObjectContext.HiringStrategies.DeleteObject(hiringStrategy);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'IncomeStatements' query.
        public IQueryable<IncomeStatement> GetIncomeStatements()
        {
            return this.ObjectContext.IncomeStatements;
        }

        public void InsertIncomeStatement(IncomeStatement incomeStatement)
        {
            if ((incomeStatement.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(incomeStatement, EntityState.Added);
            }
            else
            {
                this.ObjectContext.IncomeStatements.AddObject(incomeStatement);
            }
        }

        public void UpdateIncomeStatement(IncomeStatement currentIncomeStatement)
        {
            this.ObjectContext.IncomeStatements.AttachAsModified(currentIncomeStatement, this.ChangeSet.GetOriginal(currentIncomeStatement));
        }

        public void DeleteIncomeStatement(IncomeStatement incomeStatement)
        {
            if ((incomeStatement.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(incomeStatement, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.IncomeStatements.Attach(incomeStatement);
                this.ObjectContext.IncomeStatements.DeleteObject(incomeStatement);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Labors' query.
        public IQueryable<Labor> GetLabors()
        {
            return this.ObjectContext.Labors;
        }

        public void InsertLabor(Labor labor)
        {
            if ((labor.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(labor, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Labors.AddObject(labor);
            }
        }

        public void UpdateLabor(Labor currentLabor)
        {
            this.ObjectContext.Labors.AttachAsModified(currentLabor, this.ChangeSet.GetOriginal(currentLabor));
        }

        public void DeleteLabor(Labor labor)
        {
            if ((labor.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(labor, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.Labors.Attach(labor);
                this.ObjectContext.Labors.DeleteObject(labor);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'MacroEconomies' query.
        public IQueryable<MacroEconomy> GetMacroEconomies()
        {
            return this.ObjectContext.MacroEconomies;
        }

        public void InsertMacroEconomy(MacroEconomy macroEconomy)
        {
            if ((macroEconomy.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(macroEconomy, EntityState.Added);
            }
            else
            {
                this.ObjectContext.MacroEconomies.AddObject(macroEconomy);
            }
        }

        public void UpdateMacroEconomy(MacroEconomy currentMacroEconomy)
        {
            this.ObjectContext.MacroEconomies.AttachAsModified(currentMacroEconomy, this.ChangeSet.GetOriginal(currentMacroEconomy));
        }

        public void DeleteMacroEconomy(MacroEconomy macroEconomy)
        {
            if ((macroEconomy.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(macroEconomy, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.MacroEconomies.Attach(macroEconomy);
                this.ObjectContext.MacroEconomies.DeleteObject(macroEconomy);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Materials' query.
        public IQueryable<Material> GetMaterials()
        {
            return this.ObjectContext.Materials;
        }

        public void InsertMaterial(Material material)
        {
            if ((material.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(material, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Materials.AddObject(material);
            }
        }

        public void UpdateMaterial(Material currentMaterial)
        {
            this.ObjectContext.Materials.AttachAsModified(currentMaterial, this.ChangeSet.GetOriginal(currentMaterial));
        }

        public void DeleteMaterial(Material material)
        {
            if ((material.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(material, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.Materials.Attach(material);
                this.ObjectContext.Materials.DeleteObject(material);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Memberships' query.
        public IQueryable<Membership> GetMemberships()
        {
            return this.ObjectContext.Memberships;
        }

        public void InsertMembership(Membership membership)
        {
            if ((membership.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(membership, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Memberships.AddObject(membership);
            }
        }

        public void UpdateMembership(Membership currentMembership)
        {
            this.ObjectContext.Memberships.AttachAsModified(currentMembership, this.ChangeSet.GetOriginal(currentMembership));
        }

        public void DeleteMembership(Membership membership)
        {
            if ((membership.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(membership, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.Memberships.Attach(membership);
                this.ObjectContext.Memberships.DeleteObject(membership);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'MicroEconomies' query.
        public IQueryable<MicroEconomy> GetMicroEconomies()
        {
            return this.ObjectContext.MicroEconomies;
        }

        public void InsertMicroEconomy(MicroEconomy microEconomy)
        {
            if ((microEconomy.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(microEconomy, EntityState.Added);
            }
            else
            {
                this.ObjectContext.MicroEconomies.AddObject(microEconomy);
            }
        }

        public void UpdateMicroEconomy(MicroEconomy currentMicroEconomy)
        {
            this.ObjectContext.MicroEconomies.AttachAsModified(currentMicroEconomy, this.ChangeSet.GetOriginal(currentMicroEconomy));
        }

        public void DeleteMicroEconomy(MicroEconomy microEconomy)
        {
            if ((microEconomy.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(microEconomy, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.MicroEconomies.Attach(microEconomy);
                this.ObjectContext.MicroEconomies.DeleteObject(microEconomy);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'OperationalScorecards' query.
        public IQueryable<OperationalScorecard> GetOperationalScorecards()
        {
            return this.ObjectContext.OperationalScorecards;
        }

        public void InsertOperationalScorecard(OperationalScorecard operationalScorecard)
        {
            if ((operationalScorecard.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(operationalScorecard, EntityState.Added);
            }
            else
            {
                this.ObjectContext.OperationalScorecards.AddObject(operationalScorecard);
            }
        }

        public void UpdateOperationalScorecard(OperationalScorecard currentOperationalScorecard)
        {
            this.ObjectContext.OperationalScorecards.AttachAsModified(currentOperationalScorecard, this.ChangeSet.GetOriginal(currentOperationalScorecard));
        }

        public void DeleteOperationalScorecard(OperationalScorecard operationalScorecard)
        {
            if ((operationalScorecard.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(operationalScorecard, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.OperationalScorecards.Attach(operationalScorecard);
                this.ObjectContext.OperationalScorecards.DeleteObject(operationalScorecard);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Parts' query.
        public IQueryable<Part> GetParts()
        {
            return this.ObjectContext.Parts;
        }

        public void InsertPart(Part part)
        {
            if ((part.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(part, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Parts.AddObject(part);
            }
        }

        public void UpdatePart(Part currentPart)
        {
            this.ObjectContext.Parts.AttachAsModified(currentPart, this.ChangeSet.GetOriginal(currentPart));
        }

        public void DeletePart(Part part)
        {
            if ((part.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(part, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.Parts.Attach(part);
                this.ObjectContext.Parts.DeleteObject(part);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'PeopleScorecards' query.
        public IQueryable<PeopleScorecard> GetPeopleScorecards()
        {
            return this.ObjectContext.PeopleScorecards;
        }

        public void InsertPeopleScorecard(PeopleScorecard peopleScorecard)
        {
            if ((peopleScorecard.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(peopleScorecard, EntityState.Added);
            }
            else
            {
                this.ObjectContext.PeopleScorecards.AddObject(peopleScorecard);
            }
        }

        public void UpdatePeopleScorecard(PeopleScorecard currentPeopleScorecard)
        {
            this.ObjectContext.PeopleScorecards.AttachAsModified(currentPeopleScorecard, this.ChangeSet.GetOriginal(currentPeopleScorecard));
        }

        public void DeletePeopleScorecard(PeopleScorecard peopleScorecard)
        {
            if ((peopleScorecard.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(peopleScorecard, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.PeopleScorecards.Attach(peopleScorecard);
                this.ObjectContext.PeopleScorecards.DeleteObject(peopleScorecard);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Plants' query.
        public IQueryable<Plant> GetPlants()
        {
            return this.ObjectContext.Plants;
        }

        public void InsertPlant(Plant plant)
        {
            if ((plant.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(plant, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Plants.AddObject(plant);
            }
        }

        public void UpdatePlant(Plant currentPlant)
        {
            this.ObjectContext.Plants.AttachAsModified(currentPlant, this.ChangeSet.GetOriginal(currentPlant));
        }

        public void DeletePlant(Plant plant)
        {
            if ((plant.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(plant, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.Plants.Attach(plant);
                this.ObjectContext.Plants.DeleteObject(plant);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'PlantDecisions' query.
        public IQueryable<PlantDecision> GetPlantDecisions()
        {
            return this.ObjectContext.PlantDecisions;
        }

        public void InsertPlantDecision(PlantDecision plantDecision)
        {
            if ((plantDecision.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(plantDecision, EntityState.Added);
            }
            else
            {
                this.ObjectContext.PlantDecisions.AddObject(plantDecision);
            }
        }

        public void UpdatePlantDecision(PlantDecision currentPlantDecision)
        {
            this.ObjectContext.PlantDecisions.AttachAsModified(currentPlantDecision, this.ChangeSet.GetOriginal(currentPlantDecision));
        }

        public void DeletePlantDecision(PlantDecision plantDecision)
        {
            if ((plantDecision.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(plantDecision, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.PlantDecisions.Attach(plantDecision);
                this.ObjectContext.PlantDecisions.DeleteObject(plantDecision);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Players' query.
        public IQueryable<Player> GetPlayers()
        {
            return this.ObjectContext.Players;
        }

        public void InsertPlayer(Player player)
        {
            if ((player.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(player, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Players.AddObject(player);
            }
        }

        public void UpdatePlayer(Player currentPlayer)
        {
            this.ObjectContext.Players.AttachAsModified(currentPlayer, this.ChangeSet.GetOriginal(currentPlayer));
        }

        public void DeletePlayer(Player player)
        {
            if ((player.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(player, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.Players.Attach(player);
                this.ObjectContext.Players.DeleteObject(player);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'PlayerEquipments' query.
        public IQueryable<PlayerEquipment> GetPlayerEquipments()
        {
            return this.ObjectContext.PlayerEquipments;
        }

        public void InsertPlayerEquipment(PlayerEquipment playerEquipment)
        {
            if ((playerEquipment.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(playerEquipment, EntityState.Added);
            }
            else
            {
                this.ObjectContext.PlayerEquipments.AddObject(playerEquipment);
            }
        }

        public void UpdatePlayerEquipment(PlayerEquipment currentPlayerEquipment)
        {
            this.ObjectContext.PlayerEquipments.AttachAsModified(currentPlayerEquipment, this.ChangeSet.GetOriginal(currentPlayerEquipment));
        }

        public void DeletePlayerEquipment(PlayerEquipment playerEquipment)
        {
            if ((playerEquipment.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(playerEquipment, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.PlayerEquipments.Attach(playerEquipment);
                this.ObjectContext.PlayerEquipments.DeleteObject(playerEquipment);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'PlayerLabors' query.
        public IQueryable<PlayerLabor> GetPlayerLabors()
        {
            return this.ObjectContext.PlayerLabors;
        }

        public void InsertPlayerLabor(PlayerLabor playerLabor)
        {
            if ((playerLabor.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(playerLabor, EntityState.Added);
            }
            else
            {
                this.ObjectContext.PlayerLabors.AddObject(playerLabor);
            }
        }

        public void UpdatePlayerLabor(PlayerLabor currentPlayerLabor)
        {
            this.ObjectContext.PlayerLabors.AttachAsModified(currentPlayerLabor, this.ChangeSet.GetOriginal(currentPlayerLabor));
        }

        public void DeletePlayerLabor(PlayerLabor playerLabor)
        {
            if ((playerLabor.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(playerLabor, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.PlayerLabors.Attach(playerLabor);
                this.ObjectContext.PlayerLabors.DeleteObject(playerLabor);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'PlayerSafeties' query.
        public IQueryable<PlayerSafety> GetPlayerSafeties()
        {
            return this.ObjectContext.PlayerSafeties;
        }

        public void InsertPlayerSafety(PlayerSafety playerSafety)
        {
            if ((playerSafety.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(playerSafety, EntityState.Added);
            }
            else
            {
                this.ObjectContext.PlayerSafeties.AddObject(playerSafety);
            }
        }

        public void UpdatePlayerSafety(PlayerSafety currentPlayerSafety)
        {
            this.ObjectContext.PlayerSafeties.AttachAsModified(currentPlayerSafety, this.ChangeSet.GetOriginal(currentPlayerSafety));
        }

        public void DeletePlayerSafety(PlayerSafety playerSafety)
        {
            if ((playerSafety.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(playerSafety, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.PlayerSafeties.Attach(playerSafety);
                this.ObjectContext.PlayerSafeties.DeleteObject(playerSafety);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Processes' query.
        public IQueryable<Process> GetProcesses()
        {
            return this.ObjectContext.Processes;
        }

        public void InsertProcess(Process process)
        {
            if ((process.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(process, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Processes.AddObject(process);
            }
        }

        public void UpdateProcess(Process currentProcess)
        {
            this.ObjectContext.Processes.AttachAsModified(currentProcess, this.ChangeSet.GetOriginal(currentProcess));
        }

        public void DeleteProcess(Process process)
        {
            if ((process.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(process, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.Processes.Attach(process);
                this.ObjectContext.Processes.DeleteObject(process);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'ProcessConnections' query.
        public IQueryable<ProcessConnection> GetProcessConnections()
        {
            return this.ObjectContext.ProcessConnections;
        }

        public void InsertProcessConnection(ProcessConnection processConnection)
        {
            if ((processConnection.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(processConnection, EntityState.Added);
            }
            else
            {
                this.ObjectContext.ProcessConnections.AddObject(processConnection);
            }
        }

        public void UpdateProcessConnection(ProcessConnection currentProcessConnection)
        {
            this.ObjectContext.ProcessConnections.AttachAsModified(currentProcessConnection, this.ChangeSet.GetOriginal(currentProcessConnection));
        }

        public void DeleteProcessConnection(ProcessConnection processConnection)
        {
            if ((processConnection.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(processConnection, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.ProcessConnections.Attach(processConnection);
                this.ObjectContext.ProcessConnections.DeleteObject(processConnection);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Products' query.
        public IQueryable<Product> GetProducts()
        {
            return this.ObjectContext.Products;
        }

        public void InsertProduct(Product product)
        {
            if ((product.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(product, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Products.AddObject(product);
            }
        }

        public void UpdateProduct(Product currentProduct)
        {
            this.ObjectContext.Products.AttachAsModified(currentProduct, this.ChangeSet.GetOriginal(currentProduct));
        }

        public void DeleteProduct(Product product)
        {
            if ((product.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(product, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.Products.Attach(product);
                this.ObjectContext.Products.DeleteObject(product);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Productions' query.
        public IQueryable<Production> GetProductions()
        {
            return this.ObjectContext.Productions;
        }

        public void InsertProduction(Production production)
        {
            if ((production.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(production, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Productions.AddObject(production);
            }
        }

        public void UpdateProduction(Production currentProduction)
        {
            this.ObjectContext.Productions.AttachAsModified(currentProduction, this.ChangeSet.GetOriginal(currentProduction));
        }

        public void DeleteProduction(Production production)
        {
            if ((production.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(production, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.Productions.Attach(production);
                this.ObjectContext.Productions.DeleteObject(production);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Profiles' query.
        public IQueryable<Profile> GetProfiles()
        {
            return this.ObjectContext.Profiles;
        }

        public void InsertProfile(Profile profile)
        {
            if ((profile.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(profile, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Profiles.AddObject(profile);
            }
        }

        public void UpdateProfile(Profile currentProfile)
        {
            this.ObjectContext.Profiles.AttachAsModified(currentProfile, this.ChangeSet.GetOriginal(currentProfile));
        }

        public void DeleteProfile(Profile profile)
        {
            if ((profile.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(profile, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.Profiles.Attach(profile);
                this.ObjectContext.Profiles.DeleteObject(profile);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Roles' query.
        public IQueryable<Role> GetRoles()
        {
            return this.ObjectContext.Roles;
        }

        public void InsertRole(Role role)
        {
            if ((role.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(role, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Roles.AddObject(role);
            }
        }

        public void UpdateRole(Role currentRole)
        {
            this.ObjectContext.Roles.AttachAsModified(currentRole, this.ChangeSet.GetOriginal(currentRole));
        }

        public void DeleteRole(Role role)
        {
            if ((role.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(role, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.Roles.Attach(role);
                this.ObjectContext.Roles.DeleteObject(role);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Rounds' query.
        public IQueryable<Round> GetRounds()
        {
            return this.ObjectContext.Rounds;
        }

        public void InsertRound(Round round)
        {
            if ((round.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(round, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Rounds.AddObject(round);
            }
        }

        public void UpdateRound(Round currentRound)
        {
            this.ObjectContext.Rounds.AttachAsModified(currentRound, this.ChangeSet.GetOriginal(currentRound));
        }

        public void DeleteRound(Round round)
        {
            if ((round.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(round, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.Rounds.Attach(round);
                this.ObjectContext.Rounds.DeleteObject(round);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Safeties' query.
        public IQueryable<Safety> GetSafeties()
        {
            return this.ObjectContext.Safeties;
        }

        public void InsertSafety(Safety safety)
        {
            if ((safety.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(safety, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Safeties.AddObject(safety);
            }
        }

        public void UpdateSafety(Safety currentSafety)
        {
            this.ObjectContext.Safeties.AttachAsModified(currentSafety, this.ChangeSet.GetOriginal(currentSafety));
        }

        public void DeleteSafety(Safety safety)
        {
            if ((safety.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(safety, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.Safeties.Attach(safety);
                this.ObjectContext.Safeties.DeleteObject(safety);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Schedules' query.
        public IQueryable<Schedule> GetSchedules()
        {
            return this.ObjectContext.Schedules;
        }

        public void InsertSchedule(Schedule schedule)
        {
            if ((schedule.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(schedule, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Schedules.AddObject(schedule);
            }
        }

        public void UpdateSchedule(Schedule currentSchedule)
        {
            this.ObjectContext.Schedules.AttachAsModified(currentSchedule, this.ChangeSet.GetOriginal(currentSchedule));
        }

        public void DeleteSchedule(Schedule schedule)
        {
            if ((schedule.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(schedule, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.Schedules.Attach(schedule);
                this.ObjectContext.Schedules.DeleteObject(schedule);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'SchedulingStrategies' query.
        public IQueryable<SchedulingStrategy> GetSchedulingStrategies()
        {
            return this.ObjectContext.SchedulingStrategies;
        }

        public void InsertSchedulingStrategy(SchedulingStrategy schedulingStrategy)
        {
            if ((schedulingStrategy.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(schedulingStrategy, EntityState.Added);
            }
            else
            {
                this.ObjectContext.SchedulingStrategies.AddObject(schedulingStrategy);
            }
        }

        public void UpdateSchedulingStrategy(SchedulingStrategy currentSchedulingStrategy)
        {
            this.ObjectContext.SchedulingStrategies.AttachAsModified(currentSchedulingStrategy, this.ChangeSet.GetOriginal(currentSchedulingStrategy));
        }

        public void DeleteSchedulingStrategy(SchedulingStrategy schedulingStrategy)
        {
            if ((schedulingStrategy.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(schedulingStrategy, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.SchedulingStrategies.Attach(schedulingStrategy);
                this.ObjectContext.SchedulingStrategies.DeleteObject(schedulingStrategy);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'ShippingStrategies' query.
        public IQueryable<ShippingStrategy> GetShippingStrategies()
        {
            return this.ObjectContext.ShippingStrategies;
        }

        public void InsertShippingStrategy(ShippingStrategy shippingStrategy)
        {
            if ((shippingStrategy.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(shippingStrategy, EntityState.Added);
            }
            else
            {
                this.ObjectContext.ShippingStrategies.AddObject(shippingStrategy);
            }
        }

        public void UpdateShippingStrategy(ShippingStrategy currentShippingStrategy)
        {
            this.ObjectContext.ShippingStrategies.AttachAsModified(currentShippingStrategy, this.ChangeSet.GetOriginal(currentShippingStrategy));
        }

        public void DeleteShippingStrategy(ShippingStrategy shippingStrategy)
        {
            if ((shippingStrategy.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(shippingStrategy, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.ShippingStrategies.Attach(shippingStrategy);
                this.ObjectContext.ShippingStrategies.DeleteObject(shippingStrategy);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'StatementCashFlows' query.
        public IQueryable<StatementCashFlow> GetStatementCashFlows()
        {
            return this.ObjectContext.StatementCashFlows;
        }

        public void InsertStatementCashFlow(StatementCashFlow statementCashFlow)
        {
            if ((statementCashFlow.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(statementCashFlow, EntityState.Added);
            }
            else
            {
                this.ObjectContext.StatementCashFlows.AddObject(statementCashFlow);
            }
        }

        public void UpdateStatementCashFlow(StatementCashFlow currentStatementCashFlow)
        {
            this.ObjectContext.StatementCashFlows.AttachAsModified(currentStatementCashFlow, this.ChangeSet.GetOriginal(currentStatementCashFlow));
        }

        public void DeleteStatementCashFlow(StatementCashFlow statementCashFlow)
        {
            if ((statementCashFlow.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(statementCashFlow, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.StatementCashFlows.Attach(statementCashFlow);
                this.ObjectContext.StatementCashFlows.DeleteObject(statementCashFlow);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Suppliers' query.
        public IQueryable<Supplier> GetSuppliers()
        {
            return this.ObjectContext.Suppliers;
        }

        public void InsertSupplier(Supplier supplier)
        {
            if ((supplier.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(supplier, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Suppliers.AddObject(supplier);
            }
        }

        public void UpdateSupplier(Supplier currentSupplier)
        {
            this.ObjectContext.Suppliers.AttachAsModified(currentSupplier, this.ChangeSet.GetOriginal(currentSupplier));
        }

        public void DeleteSupplier(Supplier supplier)
        {
            if ((supplier.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(supplier, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.Suppliers.Attach(supplier);
                this.ObjectContext.Suppliers.DeleteObject(supplier);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'SupplierDemands' query.
        public IQueryable<SupplierDemand> GetSupplierDemands()
        {
            return this.ObjectContext.SupplierDemands;
        }

        public void InsertSupplierDemand(SupplierDemand supplierDemand)
        {
            if ((supplierDemand.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(supplierDemand, EntityState.Added);
            }
            else
            {
                this.ObjectContext.SupplierDemands.AddObject(supplierDemand);
            }
        }

        public void UpdateSupplierDemand(SupplierDemand currentSupplierDemand)
        {
            this.ObjectContext.SupplierDemands.AttachAsModified(currentSupplierDemand, this.ChangeSet.GetOriginal(currentSupplierDemand));
        }

        public void DeleteSupplierDemand(SupplierDemand supplierDemand)
        {
            if ((supplierDemand.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(supplierDemand, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.SupplierDemands.Attach(supplierDemand);
                this.ObjectContext.SupplierDemands.DeleteObject(supplierDemand);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'SupplierOrders' query.
        public IQueryable<SupplierOrder> GetSupplierOrders()
        {
            return this.ObjectContext.SupplierOrders;
        }

        public void InsertSupplierOrder(SupplierOrder supplierOrder)
        {
            if ((supplierOrder.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(supplierOrder, EntityState.Added);
            }
            else
            {
                this.ObjectContext.SupplierOrders.AddObject(supplierOrder);
            }
        }

        public void UpdateSupplierOrder(SupplierOrder currentSupplierOrder)
        {
            this.ObjectContext.SupplierOrders.AttachAsModified(currentSupplierOrder, this.ChangeSet.GetOriginal(currentSupplierOrder));
        }

        public void DeleteSupplierOrder(SupplierOrder supplierOrder)
        {
            if ((supplierOrder.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(supplierOrder, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.SupplierOrders.Attach(supplierOrder);
                this.ObjectContext.SupplierOrders.DeleteObject(supplierOrder);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'SupplierScorecards' query.
        public IQueryable<SupplierScorecard> GetSupplierScorecards()
        {
            return this.ObjectContext.SupplierScorecards;
        }

        public void InsertSupplierScorecard(SupplierScorecard supplierScorecard)
        {
            if ((supplierScorecard.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(supplierScorecard, EntityState.Added);
            }
            else
            {
                this.ObjectContext.SupplierScorecards.AddObject(supplierScorecard);
            }
        }

        public void UpdateSupplierScorecard(SupplierScorecard currentSupplierScorecard)
        {
            this.ObjectContext.SupplierScorecards.AttachAsModified(currentSupplierScorecard, this.ChangeSet.GetOriginal(currentSupplierScorecard));
        }

        public void DeleteSupplierScorecard(SupplierScorecard supplierScorecard)
        {
            if ((supplierScorecard.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(supplierScorecard, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.SupplierScorecards.Attach(supplierScorecard);
                this.ObjectContext.SupplierScorecards.DeleteObject(supplierScorecard);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'SupplierShippings' query.
        public IQueryable<SupplierShipping> GetSupplierShippings()
        {
            return this.ObjectContext.SupplierShippings;
        }

        public void InsertSupplierShipping(SupplierShipping supplierShipping)
        {
            if ((supplierShipping.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(supplierShipping, EntityState.Added);
            }
            else
            {
                this.ObjectContext.SupplierShippings.AddObject(supplierShipping);
            }
        }

        public void UpdateSupplierShipping(SupplierShipping currentSupplierShipping)
        {
            this.ObjectContext.SupplierShippings.AttachAsModified(currentSupplierShipping, this.ChangeSet.GetOriginal(currentSupplierShipping));
        }

        public void DeleteSupplierShipping(SupplierShipping supplierShipping)
        {
            if ((supplierShipping.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(supplierShipping, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.SupplierShippings.Attach(supplierShipping);
                this.ObjectContext.SupplierShippings.DeleteObject(supplierShipping);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'SupplierStrategies' query.
        public IQueryable<SupplierStrategy> GetSupplierStrategies()
        {
            return this.ObjectContext.SupplierStrategies;
        }

        public void InsertSupplierStrategy(SupplierStrategy supplierStrategy)
        {
            if ((supplierStrategy.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(supplierStrategy, EntityState.Added);
            }
            else
            {
                this.ObjectContext.SupplierStrategies.AddObject(supplierStrategy);
            }
        }

        public void UpdateSupplierStrategy(SupplierStrategy currentSupplierStrategy)
        {
            this.ObjectContext.SupplierStrategies.AttachAsModified(currentSupplierStrategy, this.ChangeSet.GetOriginal(currentSupplierStrategy));
        }

        public void DeleteSupplierStrategy(SupplierStrategy supplierStrategy)
        {
            if ((supplierStrategy.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(supplierStrategy, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.SupplierStrategies.Attach(supplierStrategy);
                this.ObjectContext.SupplierStrategies.DeleteObject(supplierStrategy);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'sysdiagrams' query.
        public IQueryable<sysdiagram> GetSysdiagrams()
        {
            return this.ObjectContext.sysdiagrams;
        }

        public void InsertSysdiagram(sysdiagram sysdiagram)
        {
            if ((sysdiagram.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(sysdiagram, EntityState.Added);
            }
            else
            {
                this.ObjectContext.sysdiagrams.AddObject(sysdiagram);
            }
        }

        public void UpdateSysdiagram(sysdiagram currentsysdiagram)
        {
            this.ObjectContext.sysdiagrams.AttachAsModified(currentsysdiagram, this.ChangeSet.GetOriginal(currentsysdiagram));
        }

        public void DeleteSysdiagram(sysdiagram sysdiagram)
        {
            if ((sysdiagram.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(sysdiagram, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.sysdiagrams.Attach(sysdiagram);
                this.ObjectContext.sysdiagrams.DeleteObject(sysdiagram);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Users' query.
        public IQueryable<User> GetUsers()
        {
            return this.ObjectContext.Users;
        }

        public void InsertUser(User user)
        {
            if ((user.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(user, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Users.AddObject(user);
            }
        }

        public void UpdateUser(User currentUser)
        {
            this.ObjectContext.Users.AttachAsModified(currentUser, this.ChangeSet.GetOriginal(currentUser));
        }

        public void DeleteUser(User user)
        {
            if ((user.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(user, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.Users.Attach(user);
                this.ObjectContext.Users.DeleteObject(user);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'UsersOpenAuthAccounts' query.
        public IQueryable<UsersOpenAuthAccount> GetUsersOpenAuthAccounts()
        {
            return this.ObjectContext.UsersOpenAuthAccounts;
        }

        public void InsertUsersOpenAuthAccount(UsersOpenAuthAccount usersOpenAuthAccount)
        {
            if ((usersOpenAuthAccount.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(usersOpenAuthAccount, EntityState.Added);
            }
            else
            {
                this.ObjectContext.UsersOpenAuthAccounts.AddObject(usersOpenAuthAccount);
            }
        }

        public void UpdateUsersOpenAuthAccount(UsersOpenAuthAccount currentUsersOpenAuthAccount)
        {
            this.ObjectContext.UsersOpenAuthAccounts.AttachAsModified(currentUsersOpenAuthAccount, this.ChangeSet.GetOriginal(currentUsersOpenAuthAccount));
        }

        public void DeleteUsersOpenAuthAccount(UsersOpenAuthAccount usersOpenAuthAccount)
        {
            if ((usersOpenAuthAccount.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(usersOpenAuthAccount, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.UsersOpenAuthAccounts.Attach(usersOpenAuthAccount);
                this.ObjectContext.UsersOpenAuthAccounts.DeleteObject(usersOpenAuthAccount);
            }
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'UsersOpenAuthDatas' query.
        public IQueryable<UsersOpenAuthData> GetUsersOpenAuthDatas()
        {
            return this.ObjectContext.UsersOpenAuthDatas;
        }

        public void InsertUsersOpenAuthData(UsersOpenAuthData usersOpenAuthData)
        {
            if ((usersOpenAuthData.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(usersOpenAuthData, EntityState.Added);
            }
            else
            {
                this.ObjectContext.UsersOpenAuthDatas.AddObject(usersOpenAuthData);
            }
        }

        public void UpdateUsersOpenAuthData(UsersOpenAuthData currentUsersOpenAuthData)
        {
            this.ObjectContext.UsersOpenAuthDatas.AttachAsModified(currentUsersOpenAuthData, this.ChangeSet.GetOriginal(currentUsersOpenAuthData));
        }

        public void DeleteUsersOpenAuthData(UsersOpenAuthData usersOpenAuthData)
        {
            if ((usersOpenAuthData.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(usersOpenAuthData, EntityState.Deleted);
            }
            else
            {
                this.ObjectContext.UsersOpenAuthDatas.Attach(usersOpenAuthData);
                this.ObjectContext.UsersOpenAuthDatas.DeleteObject(usersOpenAuthData);
            }
        }
    }
}


