﻿
namespace TestProject.Web
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;
    using System.Data.Objects.DataClasses;
    using System.Linq;
    using System.ServiceModel.DomainServices.Hosting;
    using System.ServiceModel.DomainServices.Server;


    // The MetadataTypeAttribute identifies AccountsPayableMetadata as the class
    // that carries additional metadata for the AccountsPayable class.
    [MetadataTypeAttribute(typeof(AccountsPayable.AccountsPayableMetadata))]
    public partial class AccountsPayable
    {

        // This class allows you to attach custom attributes to properties
        // of the AccountsPayable class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class AccountsPayableMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private AccountsPayableMetadata()
            {
            }

            public int AccPayID { get; set; }

            public Nullable<decimal> CurrAccPay { get; set; }

            public Nullable<decimal> PrevAccPay { get; set; }

            public int Round { get; set; }

            public Round Round1 { get; set; }

            public Supplier Supplier { get; set; }

            public int SupplierID { get; set; }

            public User User { get; set; }

            public Guid UserId { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies AccountsReceivableMetadata as the class
    // that carries additional metadata for the AccountsReceivable class.
    [MetadataTypeAttribute(typeof(AccountsReceivable.AccountsReceivableMetadata))]
    public partial class AccountsReceivable
    {

        // This class allows you to attach custom attributes to properties
        // of the AccountsReceivable class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class AccountsReceivableMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private AccountsReceivableMetadata()
            {
            }

            public int AccRecID { get; set; }

            public Nullable<decimal> CurrAccRec { get; set; }

            public Customer Customer { get; set; }

            public int CustomerID { get; set; }

            public Nullable<decimal> PrevAccRec { get; set; }

            public int Round { get; set; }

            public Round Round1 { get; set; }

            public User User { get; set; }

            public Guid UserId { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies ApplicationMetadata as the class
    // that carries additional metadata for the Application class.
    [MetadataTypeAttribute(typeof(Application.ApplicationMetadata))]
    public partial class Application
    {

        // This class allows you to attach custom attributes to properties
        // of the Application class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class ApplicationMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private ApplicationMetadata()
            {
            }

            public Guid ApplicationId { get; set; }

            public string ApplicationName { get; set; }

            public string Description { get; set; }

            public EntityCollection<Membership> Memberships { get; set; }

            public EntityCollection<Role> Roles { get; set; }

            public EntityCollection<User> Users { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies aspnet_ApplicationsMetadata as the class
    // that carries additional metadata for the aspnet_Applications class.
    [MetadataTypeAttribute(typeof(aspnet_Applications.aspnet_ApplicationsMetadata))]
    public partial class aspnet_Applications
    {

        // This class allows you to attach custom attributes to properties
        // of the aspnet_Applications class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class aspnet_ApplicationsMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private aspnet_ApplicationsMetadata()
            {
            }

            public Guid ApplicationId { get; set; }

            public string ApplicationName { get; set; }

            public EntityCollection<aspnet_Membership> aspnet_Membership { get; set; }

            public EntityCollection<aspnet_Paths> aspnet_Paths { get; set; }

            public EntityCollection<aspnet_Roles> aspnet_Roles { get; set; }

            public EntityCollection<aspnet_Users> aspnet_Users { get; set; }

            public string Description { get; set; }

            public string LoweredApplicationName { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies aspnet_MembershipMetadata as the class
    // that carries additional metadata for the aspnet_Membership class.
    [MetadataTypeAttribute(typeof(aspnet_Membership.aspnet_MembershipMetadata))]
    public partial class aspnet_Membership
    {

        // This class allows you to attach custom attributes to properties
        // of the aspnet_Membership class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class aspnet_MembershipMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private aspnet_MembershipMetadata()
            {
            }

            public Guid ApplicationId { get; set; }

            public aspnet_Applications aspnet_Applications { get; set; }

            public aspnet_Users aspnet_Users { get; set; }

            public string Comment { get; set; }

            public DateTime CreateDate { get; set; }

            public string Email { get; set; }

            public int FailedPasswordAnswerAttemptCount { get; set; }

            public DateTime FailedPasswordAnswerAttemptWindowStart { get; set; }

            public int FailedPasswordAttemptCount { get; set; }

            public DateTime FailedPasswordAttemptWindowStart { get; set; }

            public bool IsApproved { get; set; }

            public bool IsLockedOut { get; set; }

            public DateTime LastLockoutDate { get; set; }

            public DateTime LastLoginDate { get; set; }

            public DateTime LastPasswordChangedDate { get; set; }

            public string LoweredEmail { get; set; }

            public string MobilePIN { get; set; }

            public string Password { get; set; }

            public string PasswordAnswer { get; set; }

            public int PasswordFormat { get; set; }

            public string PasswordQuestion { get; set; }

            public string PasswordSalt { get; set; }

            public Guid UserId { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies aspnet_PathsMetadata as the class
    // that carries additional metadata for the aspnet_Paths class.
    [MetadataTypeAttribute(typeof(aspnet_Paths.aspnet_PathsMetadata))]
    public partial class aspnet_Paths
    {

        // This class allows you to attach custom attributes to properties
        // of the aspnet_Paths class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class aspnet_PathsMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private aspnet_PathsMetadata()
            {
            }

            public Guid ApplicationId { get; set; }

            public aspnet_Applications aspnet_Applications { get; set; }

            public aspnet_PersonalizationAllUsers aspnet_PersonalizationAllUsers { get; set; }

            public EntityCollection<aspnet_PersonalizationPerUser> aspnet_PersonalizationPerUser { get; set; }

            public string LoweredPath { get; set; }

            public string Path { get; set; }

            public Guid PathId { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies aspnet_PersonalizationAllUsersMetadata as the class
    // that carries additional metadata for the aspnet_PersonalizationAllUsers class.
    [MetadataTypeAttribute(typeof(aspnet_PersonalizationAllUsers.aspnet_PersonalizationAllUsersMetadata))]
    public partial class aspnet_PersonalizationAllUsers
    {

        // This class allows you to attach custom attributes to properties
        // of the aspnet_PersonalizationAllUsers class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class aspnet_PersonalizationAllUsersMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private aspnet_PersonalizationAllUsersMetadata()
            {
            }

            public aspnet_Paths aspnet_Paths { get; set; }

            public DateTime LastUpdatedDate { get; set; }

            public byte[] PageSettings { get; set; }

            public Guid PathId { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies aspnet_PersonalizationPerUserMetadata as the class
    // that carries additional metadata for the aspnet_PersonalizationPerUser class.
    [MetadataTypeAttribute(typeof(aspnet_PersonalizationPerUser.aspnet_PersonalizationPerUserMetadata))]
    public partial class aspnet_PersonalizationPerUser
    {

        // This class allows you to attach custom attributes to properties
        // of the aspnet_PersonalizationPerUser class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class aspnet_PersonalizationPerUserMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private aspnet_PersonalizationPerUserMetadata()
            {
            }

            public aspnet_Paths aspnet_Paths { get; set; }

            public aspnet_Users aspnet_Users { get; set; }

            public Guid Id { get; set; }

            public DateTime LastUpdatedDate { get; set; }

            public byte[] PageSettings { get; set; }

            public Nullable<Guid> PathId { get; set; }

            public Nullable<Guid> UserId { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies aspnet_ProfileMetadata as the class
    // that carries additional metadata for the aspnet_Profile class.
    [MetadataTypeAttribute(typeof(aspnet_Profile.aspnet_ProfileMetadata))]
    public partial class aspnet_Profile
    {

        // This class allows you to attach custom attributes to properties
        // of the aspnet_Profile class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class aspnet_ProfileMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private aspnet_ProfileMetadata()
            {
            }

            public aspnet_Users aspnet_Users { get; set; }

            public DateTime LastUpdatedDate { get; set; }

            public string PropertyNames { get; set; }

            public byte[] PropertyValuesBinary { get; set; }

            public string PropertyValuesString { get; set; }

            public Guid UserId { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies aspnet_RolesMetadata as the class
    // that carries additional metadata for the aspnet_Roles class.
    [MetadataTypeAttribute(typeof(aspnet_Roles.aspnet_RolesMetadata))]
    public partial class aspnet_Roles
    {

        // This class allows you to attach custom attributes to properties
        // of the aspnet_Roles class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class aspnet_RolesMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private aspnet_RolesMetadata()
            {
            }

            public Guid ApplicationId { get; set; }

            public aspnet_Applications aspnet_Applications { get; set; }

            public EntityCollection<aspnet_Users> aspnet_Users { get; set; }

            public string Description { get; set; }

            public string LoweredRoleName { get; set; }

            public Guid RoleId { get; set; }

            public string RoleName { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies aspnet_SchemaVersionsMetadata as the class
    // that carries additional metadata for the aspnet_SchemaVersions class.
    [MetadataTypeAttribute(typeof(aspnet_SchemaVersions.aspnet_SchemaVersionsMetadata))]
    public partial class aspnet_SchemaVersions
    {

        // This class allows you to attach custom attributes to properties
        // of the aspnet_SchemaVersions class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class aspnet_SchemaVersionsMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private aspnet_SchemaVersionsMetadata()
            {
            }

            public string CompatibleSchemaVersion { get; set; }

            public string Feature { get; set; }

            public bool IsCurrentVersion { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies aspnet_UsersMetadata as the class
    // that carries additional metadata for the aspnet_Users class.
    [MetadataTypeAttribute(typeof(aspnet_Users.aspnet_UsersMetadata))]
    public partial class aspnet_Users
    {

        // This class allows you to attach custom attributes to properties
        // of the aspnet_Users class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class aspnet_UsersMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private aspnet_UsersMetadata()
            {
            }

            public Guid ApplicationId { get; set; }

            public aspnet_Applications aspnet_Applications { get; set; }

            public aspnet_Membership aspnet_Membership { get; set; }

            public EntityCollection<aspnet_PersonalizationPerUser> aspnet_PersonalizationPerUser { get; set; }

            public aspnet_Profile aspnet_Profile { get; set; }

            public EntityCollection<aspnet_Roles> aspnet_Roles { get; set; }

            public bool IsAnonymous { get; set; }

            public DateTime LastActivityDate { get; set; }

            public string LoweredUserName { get; set; }

            public string MobileAlias { get; set; }

            public Guid UserId { get; set; }

            public string UserName { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies aspnet_WebEvent_EventsMetadata as the class
    // that carries additional metadata for the aspnet_WebEvent_Events class.
    [MetadataTypeAttribute(typeof(aspnet_WebEvent_Events.aspnet_WebEvent_EventsMetadata))]
    public partial class aspnet_WebEvent_Events
    {

        // This class allows you to attach custom attributes to properties
        // of the aspnet_WebEvent_Events class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class aspnet_WebEvent_EventsMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private aspnet_WebEvent_EventsMetadata()
            {
            }

            public string ApplicationPath { get; set; }

            public string ApplicationVirtualPath { get; set; }

            public string Details { get; set; }

            public int EventCode { get; set; }

            public int EventDetailCode { get; set; }

            public string EventId { get; set; }

            public decimal EventOccurrence { get; set; }

            public decimal EventSequence { get; set; }

            public DateTime EventTime { get; set; }

            public DateTime EventTimeUtc { get; set; }

            public string EventType { get; set; }

            public string ExceptionType { get; set; }

            public string MachineName { get; set; }

            public string Message { get; set; }

            public string RequestUrl { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies BalanceSheetMetadata as the class
    // that carries additional metadata for the BalanceSheet class.
    [MetadataTypeAttribute(typeof(BalanceSheet.BalanceSheetMetadata))]
    public partial class BalanceSheet
    {

        // This class allows you to attach custom attributes to properties
        // of the BalanceSheet class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class BalanceSheetMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private BalanceSheetMetadata()
            {
            }

            public Nullable<decimal> AccDep { get; set; }

            public Nullable<decimal> AccExp { get; set; }

            public Nullable<decimal> AccPay { get; set; }

            public Nullable<decimal> AccRev { get; set; }

            public int BalShtID { get; set; }

            public Nullable<decimal> Building { get; set; }

            public Nullable<decimal> Cash { get; set; }

            public Nullable<decimal> CurrLia { get; set; }

            public Nullable<decimal> Equipment { get; set; }

            public Nullable<decimal> Inventory { get; set; }

            public Nullable<decimal> Land { get; set; }

            public Nullable<decimal> LiaEq { get; set; }

            public Nullable<decimal> NetFixedAssets { get; set; }

            public Nullable<decimal> NetLTLia { get; set; }

            public Nullable<decimal> OtherExp { get; set; }

            public Nullable<decimal> RetEarnings { get; set; }

            public int Round { get; set; }

            public Round Round1 { get; set; }

            public Nullable<decimal> TotalAssets { get; set; }

            public User User { get; set; }

            public Guid UserId { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies CompetitorMetadata as the class
    // that carries additional metadata for the Competitor class.
    [MetadataTypeAttribute(typeof(Competitor.CompetitorMetadata))]
    public partial class Competitor
    {

        // This class allows you to attach custom attributes to properties
        // of the Competitor class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class CompetitorMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private CompetitorMetadata()
            {
            }

            public int CompetitorID { get; set; }

            public string CompetitorName { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies CustomerMetadata as the class
    // that carries additional metadata for the Customer class.
    [MetadataTypeAttribute(typeof(Customer.CustomerMetadata))]
    public partial class Customer
    {

        // This class allows you to attach custom attributes to properties
        // of the Customer class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class CustomerMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private CustomerMetadata()
            {
            }

            public EntityCollection<AccountsReceivable> AccountsReceivables { get; set; }

            public EntityCollection<CustomerDemand> CustomerDemands { get; set; }

            public string CustomerDescription { get; set; }

            public int CustomerID { get; set; }

            public string CustomerName { get; set; }

            public EntityCollection<CustomerOrder> CustomerOrders { get; set; }

            public EntityCollection<CustomerScorecard> CustomerScorecards { get; set; }

            public EntityCollection<CustomerShipping> CustomerShippings { get; set; }

            public int CustomerType { get; set; }

            public string DecisionStyle { get; set; }

            public int DeliveryPreference { get; set; }

            public Nullable<int> LocationZone { get; set; }

            public int Negotiator { get; set; }

            public int PremiumFreightExpectation { get; set; }

            public int PricePreference { get; set; }

            public int QualityPreference { get; set; }

            public EntityCollection<Schedule> Schedules { get; set; }

            public int ServiceLevelExpectation { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies CustomerDemandMetadata as the class
    // that carries additional metadata for the CustomerDemand class.
    [MetadataTypeAttribute(typeof(CustomerDemand.CustomerDemandMetadata))]
    public partial class CustomerDemand
    {

        // This class allows you to attach custom attributes to properties
        // of the CustomerDemand class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class CustomerDemandMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private CustomerDemandMetadata()
            {
            }

            public Customer Customer { get; set; }

            public int CustomerID { get; set; }

            public int CustomerOrderID { get; set; }

            public Nullable<int> CustomerType { get; set; }

            public Nullable<decimal> Demand { get; set; }

            public Nullable<decimal> DemandIndex { get; set; }

            public Part Part { get; set; }

            public int PartID { get; set; }

            public string PartName { get; set; }

            public int Round { get; set; }

            public Round Round1 { get; set; }

            public User User { get; set; }

            public Guid UserId { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies CustomerOrderMetadata as the class
    // that carries additional metadata for the CustomerOrder class.
    [MetadataTypeAttribute(typeof(CustomerOrder.CustomerOrderMetadata))]
    public partial class CustomerOrder
    {

        // This class allows you to attach custom attributes to properties
        // of the CustomerOrder class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class CustomerOrderMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private CustomerOrderMetadata()
            {
            }

            public Customer Customer { get; set; }

            public int CustomerID { get; set; }

            public int CustomerOrderID { get; set; }

            public Nullable<int> OrderNumber { get; set; }

            public Part Part { get; set; }

            public int PartID { get; set; }

            public int Round { get; set; }

            public Round Round1 { get; set; }

            public Nullable<int> UnitsRequired { get; set; }

            public User User { get; set; }

            public Guid UserId { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies CustomerScorecardMetadata as the class
    // that carries additional metadata for the CustomerScorecard class.
    [MetadataTypeAttribute(typeof(CustomerScorecard.CustomerScorecardMetadata))]
    public partial class CustomerScorecard
    {

        // This class allows you to attach custom attributes to properties
        // of the CustomerScorecard class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class CustomerScorecardMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private CustomerScorecardMetadata()
            {
            }

            public Customer Customer { get; set; }

            public int CustomerID { get; set; }

            public int CustScoreID { get; set; }

            public Nullable<decimal> DeliveryIndex { get; set; }

            public Nullable<decimal> PositionIndex { get; set; }

            public Nullable<decimal> QualityIndex { get; set; }

            public int Round { get; set; }

            public Round Round1 { get; set; }

            public Nullable<decimal> SatisfactionIndex { get; set; }

            public User User { get; set; }

            public Guid UserId { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies CustomerShippingMetadata as the class
    // that carries additional metadata for the CustomerShipping class.
    [MetadataTypeAttribute(typeof(CustomerShipping.CustomerShippingMetadata))]
    public partial class CustomerShipping
    {

        // This class allows you to attach custom attributes to properties
        // of the CustomerShipping class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class CustomerShippingMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private CustomerShippingMetadata()
            {
            }

            public Nullable<int> BegInventory { get; set; }

            public Customer Customer { get; set; }

            public int CustomerID { get; set; }

            public int CustomerShippingID { get; set; }

            public Nullable<int> CustomerType { get; set; }

            public Nullable<int> Defects { get; set; }

            public Nullable<int> EndInventory { get; set; }

            public int OrderNumber { get; set; }

            public Part Part { get; set; }

            public int PartID { get; set; }

            public string PartName { get; set; }

            public Nullable<decimal> Price { get; set; }

            public Nullable<int> Priority { get; set; }

            public Nullable<decimal> Revenue { get; set; }

            public int Round { get; set; }

            public Round Round1 { get; set; }

            public Nullable<decimal> ShippingCost { get; set; }

            public Nullable<int> ShippingType { get; set; }

            public Nullable<int> UnfulfilledParts { get; set; }

            public Nullable<int> UnitsOrdered { get; set; }

            public User User { get; set; }

            public Guid UserId { get; set; }

            public Nullable<int> VolumeShipped { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies EquipmentMetadata as the class
    // that carries additional metadata for the Equipment class.
    [MetadataTypeAttribute(typeof(Equipment.EquipmentMetadata))]
    public partial class Equipment
    {

        // This class allows you to attach custom attributes to properties
        // of the Equipment class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class EquipmentMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private EquipmentMetadata()
            {
            }

            public Nullable<int> Age { get; set; }

            public decimal AssetValue { get; set; }

            public Nullable<decimal> AutoCapital { get; set; }

            public Nullable<decimal> AutoLevel { get; set; }

            public Nullable<int> Condition { get; set; }

            public Nullable<int> EquipmentCategory { get; set; }

            public int EquipmentID { get; set; }

            public string EquipmentName { get; set; }

            public decimal MaxRunRate { get; set; }

            public decimal MaxUptime { get; set; }

            public decimal MaxYield { get; set; }

            public Nullable<decimal> ModernCapital { get; set; }

            public string Nature { get; set; }

            public byte[] Photo { get; set; }

            public Process Process { get; set; }

            public Nullable<int> ProcessID { get; set; }

            public string ProcessName { get; set; }

            public Nullable<decimal> Scrap { get; set; }

            public Nullable<int> TPMProgram { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies ExternalDataMetadata as the class
    // that carries additional metadata for the ExternalData class.
    [MetadataTypeAttribute(typeof(ExternalData.ExternalDataMetadata))]
    public partial class ExternalData
    {

        // This class allows you to attach custom attributes to properties
        // of the ExternalData class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class ExternalDataMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private ExternalDataMetadata()
            {
            }

            public Nullable<int> AccPayDays { get; set; }

            public Nullable<int> AccRecDays { get; set; }

            public Nullable<decimal> DefectRate { get; set; }

            public Nullable<decimal> EnergyIndex { get; set; }

            public int ExtDataID { get; set; }

            public Nullable<decimal> InterestRate { get; set; }

            public Nullable<int> InvDays { get; set; }

            public Nullable<decimal> MarketIndex { get; set; }

            public Nullable<decimal> ProbMachineFail { get; set; }

            public int Round { get; set; }

            public Round Round1 { get; set; }

            public Nullable<int> StandardLaborHrs { get; set; }

            public Nullable<decimal> UtilityIndex { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies FinancialScorecardMetadata as the class
    // that carries additional metadata for the FinancialScorecard class.
    [MetadataTypeAttribute(typeof(FinancialScorecard.FinancialScorecardMetadata))]
    public partial class FinancialScorecard
    {

        // This class allows you to attach custom attributes to properties
        // of the FinancialScorecard class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class FinancialScorecardMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private FinancialScorecardMetadata()
            {
            }

            public Nullable<decimal> CashFlowIndex { get; set; }

            public Nullable<decimal> EBITIndex { get; set; }

            public int FinancialScoreID { get; set; }

            public Nullable<decimal> RevenueGrowthIndex { get; set; }

            public Nullable<decimal> ROCIndex { get; set; }

            public int Round { get; set; }

            public Round Round1 { get; set; }

            public User User { get; set; }

            public Guid UserId { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies GameMetadata as the class
    // that carries additional metadata for the Game class.
    [MetadataTypeAttribute(typeof(Game.GameMetadata))]
    public partial class Game
    {

        // This class allows you to attach custom attributes to properties
        // of the Game class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class GameMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private GameMetadata()
            {
            }

            public string Comments { get; set; }

            public Nullable<int> Difficulty { get; set; }

            public Game Game1 { get; set; }

            public Game Game2 { get; set; }

            public EntityCollection<GameCustomer> GameCustomers { get; set; }

            public int GameID { get; set; }

            public string GameName { get; set; }

            public int PlantID { get; set; }

            public EntityCollection<PlayerLabor> PlayerLabors { get; set; }

            public Guid UserId { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies GameCustomerMetadata as the class
    // that carries additional metadata for the GameCustomer class.
    [MetadataTypeAttribute(typeof(GameCustomer.GameCustomerMetadata))]
    public partial class GameCustomer
    {

        // This class allows you to attach custom attributes to properties
        // of the GameCustomer class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class GameCustomerMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private GameCustomerMetadata()
            {
            }

            public int CustomerID { get; set; }

            public Game Game { get; set; }

            public int GameCustomerID { get; set; }

            public int GameID { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies GameEquipmentMetadata as the class
    // that carries additional metadata for the GameEquipment class.
    [MetadataTypeAttribute(typeof(GameEquipment.GameEquipmentMetadata))]
    public partial class GameEquipment
    {

        // This class allows you to attach custom attributes to properties
        // of the GameEquipment class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class GameEquipmentMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private GameEquipmentMetadata()
            {
            }

            public int EquipmentID { get; set; }

            public int GameEquipmentID { get; set; }

            public int GameID { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies GameLaborMetadata as the class
    // that carries additional metadata for the GameLabor class.
    [MetadataTypeAttribute(typeof(GameLabor.GameLaborMetadata))]
    public partial class GameLabor
    {

        // This class allows you to attach custom attributes to properties
        // of the GameLabor class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class GameLaborMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private GameLaborMetadata()
            {
            }

            public int GameID { get; set; }

            public int GameLaborID { get; set; }

            public int LaborID { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies GameProductMetadata as the class
    // that carries additional metadata for the GameProduct class.
    [MetadataTypeAttribute(typeof(GameProduct.GameProductMetadata))]
    public partial class GameProduct
    {

        // This class allows you to attach custom attributes to properties
        // of the GameProduct class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class GameProductMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private GameProductMetadata()
            {
            }

            public int GameID { get; set; }

            public int GameProductID { get; set; }

            public int ProductID { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies GameSupplierMetadata as the class
    // that carries additional metadata for the GameSupplier class.
    [MetadataTypeAttribute(typeof(GameSupplier.GameSupplierMetadata))]
    public partial class GameSupplier
    {

        // This class allows you to attach custom attributes to properties
        // of the GameSupplier class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class GameSupplierMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private GameSupplierMetadata()
            {
            }

            public int GameID { get; set; }

            public int GameSupplierID { get; set; }

            public int SupplierID { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies HiringStrategyMetadata as the class
    // that carries additional metadata for the HiringStrategy class.
    [MetadataTypeAttribute(typeof(HiringStrategy.HiringStrategyMetadata))]
    public partial class HiringStrategy
    {

        // This class allows you to attach custom attributes to properties
        // of the HiringStrategy class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class HiringStrategyMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private HiringStrategyMetadata()
            {
            }

            public Nullable<int> HiringStrategy1 { get; set; }

            public int HiringStratID { get; set; }

            public int Round { get; set; }

            public Round Round1 { get; set; }

            public User User { get; set; }

            public Guid UserId { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies IncomeStatementMetadata as the class
    // that carries additional metadata for the IncomeStatement class.
    [MetadataTypeAttribute(typeof(IncomeStatement.IncomeStatementMetadata))]
    public partial class IncomeStatement
    {

        // This class allows you to attach custom attributes to properties
        // of the IncomeStatement class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class IncomeStatementMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private IncomeStatementMetadata()
            {
            }

            public Nullable<decimal> AdminExp { get; set; }

            public Nullable<decimal> COGS { get; set; }

            public Nullable<decimal> DepCost { get; set; }

            public Nullable<decimal> DirectLaborCost { get; set; }

            public Nullable<decimal> EBIT { get; set; }

            public Nullable<decimal> EnergyCost { get; set; }

            public Nullable<decimal> EngineeringExp { get; set; }

            public Nullable<decimal> Freight { get; set; }

            public Nullable<decimal> GrossMargin { get; set; }

            public Nullable<decimal> GrossSales { get; set; }

            public int IncStID { get; set; }

            public Nullable<decimal> MaterialsCost { get; set; }

            public Nullable<decimal> NetSales { get; set; }

            public Nullable<decimal> OperatingInc { get; set; }

            public Nullable<decimal> OtherPlantCost { get; set; }

            public Nullable<decimal> OtherSGA { get; set; }

            public int Round { get; set; }

            public Round Round1 { get; set; }

            public Nullable<decimal> SalesMarketingExp { get; set; }

            public Nullable<decimal> TotalExp { get; set; }

            public Nullable<decimal> TransportationCost { get; set; }

            public User User { get; set; }

            public Guid UserId { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies LaborMetadata as the class
    // that carries additional metadata for the Labor class.
    [MetadataTypeAttribute(typeof(Labor.LaborMetadata))]
    public partial class Labor
    {

        // This class allows you to attach custom attributes to properties
        // of the Labor class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class LaborMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private LaborMetadata()
            {
            }

            public Nullable<int> AppliedHours { get; set; }

            public Nullable<int> Attitude { get; set; }

            public Nullable<decimal> BasePay { get; set; }

            public Nullable<int> Education { get; set; }

            public Nullable<int> Effort { get; set; }

            public Nullable<int> Energy { get; set; }

            public Nullable<int> Experience { get; set; }

            public Nullable<decimal> Incentives { get; set; }

            public int LaborCategory { get; set; }

            public Nullable<decimal> LaborCost { get; set; }

            public int LaborID { get; set; }

            public string LaborName { get; set; }

            public int LaborType { get; set; }

            public Nullable<int> Number { get; set; }

            public Nullable<decimal> OvertimeCost { get; set; }

            public Nullable<int> OvertimeHours { get; set; }

            public Nullable<int> RequiredLabor { get; set; }

            public Nullable<int> RequiredLaborHours { get; set; }

            public Nullable<int> Skill { get; set; }

            public Nullable<decimal> TotalCost { get; set; }

            public Nullable<int> TotalLabor { get; set; }

            public Nullable<int> TotalLaborPool { get; set; }

            public Nullable<int> TrainingLevel { get; set; }

            public int UnionOpinion { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies MacroEconomyMetadata as the class
    // that carries additional metadata for the MacroEconomy class.
    [MetadataTypeAttribute(typeof(MacroEconomy.MacroEconomyMetadata))]
    public partial class MacroEconomy
    {

        // This class allows you to attach custom attributes to properties
        // of the MacroEconomy class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class MacroEconomyMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private MacroEconomyMetadata()
            {
            }

            public Nullable<decimal> EconGrowthFactor { get; set; }

            public Nullable<decimal> EconomicIndex { get; set; }

            public Nullable<int> EconomyCondition { get; set; }

            public Nullable<decimal> EmploymentIndex { get; set; }

            public Nullable<decimal> FactoryOrdersIndex { get; set; }

            public Nullable<decimal> GasPriceIndex { get; set; }

            public Nullable<decimal> GDPIndex { get; set; }

            public Nullable<decimal> HousingIndex { get; set; }

            public Nullable<decimal> InflationBondRate { get; set; }

            public Nullable<decimal> InflationRate { get; set; }

            public Nullable<decimal> LEIIndex { get; set; }

            public int MacroEconID { get; set; }

            public Nullable<decimal> MetalPriceIndex { get; set; }

            public Nullable<decimal> OilPriceIndex { get; set; }

            public int Round { get; set; }

            public Round Round1 { get; set; }

            public User User { get; set; }

            public Guid UserId { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies MaterialMetadata as the class
    // that carries additional metadata for the Material class.
    [MetadataTypeAttribute(typeof(Material.MaterialMetadata))]
    public partial class Material
    {

        // This class allows you to attach custom attributes to properties
        // of the Material class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class MaterialMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private MaterialMetadata()
            {
            }

            public int MaterialID { get; set; }

            public string MaterialName { get; set; }

            public int MaterialType { get; set; }

            public EntityCollection<SupplierOrder> SupplierOrders { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies MembershipMetadata as the class
    // that carries additional metadata for the Membership class.
    [MetadataTypeAttribute(typeof(Membership.MembershipMetadata))]
    public partial class Membership
    {

        // This class allows you to attach custom attributes to properties
        // of the Membership class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class MembershipMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private MembershipMetadata()
            {
            }

            public Application Application { get; set; }

            public Guid ApplicationId { get; set; }

            public string Comment { get; set; }

            public DateTime CreateDate { get; set; }

            public string Email { get; set; }

            public int FailedPasswordAnswerAttemptCount { get; set; }

            public DateTime FailedPasswordAnswerAttemptWindowsStart { get; set; }

            public int FailedPasswordAttemptCount { get; set; }

            public DateTime FailedPasswordAttemptWindowStart { get; set; }

            public bool IsApproved { get; set; }

            public bool IsLockedOut { get; set; }

            public DateTime LastLockoutDate { get; set; }

            public DateTime LastLoginDate { get; set; }

            public DateTime LastPasswordChangedDate { get; set; }

            public string Password { get; set; }

            public string PasswordAnswer { get; set; }

            public int PasswordFormat { get; set; }

            public string PasswordQuestion { get; set; }

            public string PasswordSalt { get; set; }

            public User User { get; set; }

            public Guid UserId { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies MicroEconomyMetadata as the class
    // that carries additional metadata for the MicroEconomy class.
    [MetadataTypeAttribute(typeof(MicroEconomy.MicroEconomyMetadata))]
    public partial class MicroEconomy
    {

        // This class allows you to attach custom attributes to properties
        // of the MicroEconomy class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class MicroEconomyMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private MicroEconomyMetadata()
            {
            }

            public Nullable<decimal> CapitalCost { get; set; }

            public int MicroEconID { get; set; }

            public int Round { get; set; }

            public Round Round1 { get; set; }

            public User User { get; set; }

            public Guid UserId { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies OperationalScorecardMetadata as the class
    // that carries additional metadata for the OperationalScorecard class.
    [MetadataTypeAttribute(typeof(OperationalScorecard.OperationalScorecardMetadata))]
    public partial class OperationalScorecard
    {

        // This class allows you to attach custom attributes to properties
        // of the OperationalScorecard class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class OperationalScorecardMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private OperationalScorecardMetadata()
            {
            }

            public int OperationalScoreID { get; set; }

            public Nullable<decimal> PlantPerformanceIndex { get; set; }

            public Nullable<decimal> PremiumFreightIndex { get; set; }

            public Nullable<decimal> QualityIndex { get; set; }

            public int Round { get; set; }

            public Round Round1 { get; set; }

            public Nullable<decimal> SafetyIndex { get; set; }

            public Nullable<decimal> ScheduleAttainmentIndex { get; set; }

            public Nullable<decimal> SupplierManagementIndex { get; set; }

            public Nullable<decimal> UnitCostIndex { get; set; }

            public User User { get; set; }

            public Guid UserId { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies PartMetadata as the class
    // that carries additional metadata for the Part class.
    [MetadataTypeAttribute(typeof(Part.PartMetadata))]
    public partial class Part
    {

        // This class allows you to attach custom attributes to properties
        // of the Part class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class PartMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private PartMetadata()
            {
            }

            public EntityCollection<CustomerDemand> CustomerDemands { get; set; }

            public EntityCollection<CustomerOrder> CustomerOrders { get; set; }

            public EntityCollection<CustomerShipping> CustomerShippings { get; set; }

            public int PartID { get; set; }

            public string PartName { get; set; }

            public EntityCollection<Production> Productions { get; set; }

            public EntityCollection<SupplierDemand> SupplierDemands { get; set; }

            public EntityCollection<SupplierShipping> SupplierShippings { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies PeopleScorecardMetadata as the class
    // that carries additional metadata for the PeopleScorecard class.
    [MetadataTypeAttribute(typeof(PeopleScorecard.PeopleScorecardMetadata))]
    public partial class PeopleScorecard
    {

        // This class allows you to attach custom attributes to properties
        // of the PeopleScorecard class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class PeopleScorecardMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private PeopleScorecardMetadata()
            {
            }

            public Nullable<decimal> ManEmpSatIndex { get; set; }

            public Nullable<decimal> MoraleIndex { get; set; }

            public int PeopleScoreID { get; set; }

            public Nullable<decimal> PerformanceIndex { get; set; }

            public Nullable<decimal> PlantEmpSatIndex { get; set; }

            public int Round { get; set; }

            public Round Round1 { get; set; }

            public User User { get; set; }

            public Guid UserId { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies PlantMetadata as the class
    // that carries additional metadata for the Plant class.
    [MetadataTypeAttribute(typeof(Plant.PlantMetadata))]
    public partial class Plant
    {

        // This class allows you to attach custom attributes to properties
        // of the Plant class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class PlantMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private PlantMetadata()
            {
            }

            public string FilePath { get; set; }

            public Nullable<int> LocationZone { get; set; }

            public int PlantID { get; set; }

            public string PlantName { get; set; }

            public string PlantPicture { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies PlantDecisionMetadata as the class
    // that carries additional metadata for the PlantDecision class.
    [MetadataTypeAttribute(typeof(PlantDecision.PlantDecisionMetadata))]
    public partial class PlantDecision
    {

        // This class allows you to attach custom attributes to properties
        // of the PlantDecision class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class PlantDecisionMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private PlantDecisionMetadata()
            {
            }

            public Nullable<int> NumShifts { get; set; }

            public Nullable<int> OTHours { get; set; }

            public int PlantDecID { get; set; }

            public int Round { get; set; }

            public Round Round1 { get; set; }

            public Nullable<int> StandardLaborHrs { get; set; }

            public User User { get; set; }

            public Guid UserId { get; set; }

            public Nullable<bool> WorkWeekends { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies PlayerMetadata as the class
    // that carries additional metadata for the Player class.
    [MetadataTypeAttribute(typeof(Player.PlayerMetadata))]
    public partial class Player
    {

        // This class allows you to attach custom attributes to properties
        // of the Player class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class PlayerMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private PlayerMetadata()
            {
            }

            public string Comment { get; set; }

            public string Email { get; set; }

            public string FirstName { get; set; }

            public string JobTitle { get; set; }

            public string LastName { get; set; }

            public int PlayerID { get; set; }

            public Nullable<Guid> UserID { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies PlayerEquipmentMetadata as the class
    // that carries additional metadata for the PlayerEquipment class.
    [MetadataTypeAttribute(typeof(PlayerEquipment.PlayerEquipmentMetadata))]
    public partial class PlayerEquipment
    {

        // This class allows you to attach custom attributes to properties
        // of the PlayerEquipment class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class PlayerEquipmentMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private PlayerEquipmentMetadata()
            {
            }

            public Nullable<decimal> AutoCapital { get; set; }

            public Nullable<decimal> ModernCapital { get; set; }

            public Nullable<int> NewAge { get; set; }

            public Nullable<decimal> NewAuto { get; set; }

            public string NewCondition { get; set; }

            public Nullable<decimal> NewOutput { get; set; }

            public Nullable<decimal> NewUptime { get; set; }

            public string NewValue { get; set; }

            public Nullable<decimal> NewYield { get; set; }

            public Nullable<int> OldAge { get; set; }

            public Nullable<decimal> OldAuto { get; set; }

            public Nullable<int> OldCondition { get; set; }

            public Nullable<decimal> OldOutput { get; set; }

            public Nullable<decimal> OldUptime { get; set; }

            public string OldValue { get; set; }

            public Nullable<decimal> OldYield { get; set; }

            public Nullable<decimal> OtherCapital { get; set; }

            public int PlayerEquipmentID { get; set; }

            public Process Process { get; set; }

            public int ProcessID { get; set; }

            public int Round { get; set; }

            public Round Round1 { get; set; }

            public Nullable<decimal> Scrap { get; set; }

            public Nullable<decimal> TotalCapital { get; set; }

            public User User { get; set; }

            public Guid UserId { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies PlayerLaborMetadata as the class
    // that carries additional metadata for the PlayerLabor class.
    [MetadataTypeAttribute(typeof(PlayerLabor.PlayerLaborMetadata))]
    public partial class PlayerLabor
    {

        // This class allows you to attach custom attributes to properties
        // of the PlayerLabor class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class PlayerLaborMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private PlayerLaborMetadata()
            {
            }

            public Nullable<int> AddLabor { get; set; }

            public Nullable<int> AppliedHrs { get; set; }

            public Game Game { get; set; }

            public int GameID { get; set; }

            public Nullable<int> LaborCategory { get; set; }

            public Nullable<decimal> LaborCost { get; set; }

            public Nullable<int> LaborType { get; set; }

            public Nullable<decimal> NHAtt { get; set; }

            public Nullable<decimal> NHEdu { get; set; }

            public Nullable<decimal> NHEff { get; set; }

            public Nullable<decimal> NHEnergy { get; set; }

            public Nullable<decimal> NHExp { get; set; }

            public Nullable<decimal> NHIncen { get; set; }

            public Nullable<decimal> NHSkill { get; set; }

            public Nullable<decimal> NHTrain { get; set; }

            public Nullable<decimal> NHUnion { get; set; }

            public Nullable<decimal> OvertimeCost { get; set; }

            public Nullable<int> OvertimeHrs { get; set; }

            public int PlayerLaborID { get; set; }

            public Nullable<decimal> POHAtt { get; set; }

            public Nullable<decimal> POHEdu { get; set; }

            public Nullable<decimal> POHEff { get; set; }

            public Nullable<decimal> POHEnergy { get; set; }

            public Nullable<decimal> POHExp { get; set; }

            public Nullable<decimal> POHIncen { get; set; }

            public Nullable<decimal> POHSkill { get; set; }

            public Nullable<decimal> POHTrain { get; set; }

            public Nullable<decimal> POHUnion { get; set; }

            public Nullable<decimal> PRHAtt { get; set; }

            public Nullable<decimal> PRHEdu { get; set; }

            public Nullable<decimal> PRHEff { get; set; }

            public Nullable<decimal> PRHEnergy { get; set; }

            public Nullable<decimal> PRHExp { get; set; }

            public Nullable<decimal> PRHIncen { get; set; }

            public Nullable<decimal> PRHSkill { get; set; }

            public Nullable<decimal> PRHTrain { get; set; }

            public Nullable<decimal> PRHUnion { get; set; }

            public Nullable<int> ReduceLabor { get; set; }

            public Nullable<int> RequiredLabor { get; set; }

            public Nullable<int> RequiredLaborHrs { get; set; }

            public int Round { get; set; }

            public Round Round1 { get; set; }

            public Nullable<decimal> TotalCost { get; set; }

            public Nullable<int> TotalLabor { get; set; }

            public Nullable<int> TotalLaborPool { get; set; }

            public User User { get; set; }

            public Guid UserId { get; set; }

            public Nullable<decimal> Wage { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies PlayerSafetyMetadata as the class
    // that carries additional metadata for the PlayerSafety class.
    [MetadataTypeAttribute(typeof(PlayerSafety.PlayerSafetyMetadata))]
    public partial class PlayerSafety
    {

        // This class allows you to attach custom attributes to properties
        // of the PlayerSafety class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class PlayerSafetyMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private PlayerSafetyMetadata()
            {
            }

            public Nullable<int> EquipAge { get; set; }

            public Nullable<int> EquipModern { get; set; }

            public Nullable<int> FANM { get; set; }

            public Nullable<decimal> IncidProb { get; set; }

            public Nullable<decimal> IncidSev { get; set; }

            public Nullable<decimal> LaborAtt { get; set; }

            public Nullable<decimal> LaborExp { get; set; }

            public Nullable<decimal> LaborSkill { get; set; }

            public Nullable<decimal> LaborTrain { get; set; }

            public Nullable<int> LTRC { get; set; }

            public Nullable<int> NewEquipAge { get; set; }

            public Nullable<int> NewEquipModern { get; set; }

            public Nullable<int> NewFANM { get; set; }

            public Nullable<decimal> NewIncidProb { get; set; }

            public Nullable<decimal> NewIncidSev { get; set; }

            public Nullable<decimal> NewLaborAtt { get; set; }

            public Nullable<decimal> NewLaborExp { get; set; }

            public Nullable<decimal> NewLaborSkill { get; set; }

            public Nullable<decimal> NewLaborTrain { get; set; }

            public Nullable<int> NewLTRC { get; set; }

            public Nullable<int> NewRC { get; set; }

            public int PlayerSafetyID { get; set; }

            public Nullable<int> RC { get; set; }

            public int Round { get; set; }

            public Round Round1 { get; set; }

            public User User { get; set; }

            public Guid UserId { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies ProcessMetadata as the class
    // that carries additional metadata for the Process class.
    [MetadataTypeAttribute(typeof(Process.ProcessMetadata))]
    public partial class Process
    {

        // This class allows you to attach custom attributes to properties
        // of the Process class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class ProcessMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private ProcessMetadata()
            {
            }

            public EntityCollection<Equipment> Equipments { get; set; }

            public EntityCollection<PlayerEquipment> PlayerEquipments { get; set; }

            public EntityCollection<ProcessConnection> ProcessConnections { get; set; }

            public int ProcessID { get; set; }

            public string ProcessName { get; set; }

            public string ProcessPhoto { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies ProcessConnectionMetadata as the class
    // that carries additional metadata for the ProcessConnection class.
    [MetadataTypeAttribute(typeof(ProcessConnection.ProcessConnectionMetadata))]
    public partial class ProcessConnection
    {

        // This class allows you to attach custom attributes to properties
        // of the ProcessConnection class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class ProcessConnectionMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private ProcessConnectionMetadata()
            {
            }

            public int FromProcessID { get; set; }

            public int PlantID { get; set; }

            public Process Process { get; set; }

            public int ProcessConnectionID { get; set; }

            public int ProcessID { get; set; }

            public int ToProcessID { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies ProductMetadata as the class
    // that carries additional metadata for the Product class.
    [MetadataTypeAttribute(typeof(Product.ProductMetadata))]
    public partial class Product
    {

        // This class allows you to attach custom attributes to properties
        // of the Product class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class ProductMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private ProductMetadata()
            {
            }

            public string Comp1 { get; set; }

            public string Comp2 { get; set; }

            public string Comp3 { get; set; }

            public string Comp4 { get; set; }

            public string Comp5 { get; set; }

            public string ProductDescription { get; set; }

            public int ProductID { get; set; }

            public string ProductName { get; set; }

            public int ProductType { get; set; }

            public Nullable<int> QualityRequirement { get; set; }

            public decimal UnitPrice { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies ProductionMetadata as the class
    // that carries additional metadata for the Production class.
    [MetadataTypeAttribute(typeof(Production.ProductionMetadata))]
    public partial class Production
    {

        // This class allows you to attach custom attributes to properties
        // of the Production class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class ProductionMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private ProductionMetadata()
            {
            }

            public Nullable<int> FGInventory { get; set; }

            public Part Part { get; set; }

            public int PartID { get; set; }

            public Nullable<int> Priority { get; set; }

            public Nullable<int> ProcessCapacity { get; set; }

            public Nullable<int> ProcessEndInventory { get; set; }

            public Nullable<int> ProcessInput { get; set; }

            public Nullable<decimal> ProcessOEE { get; set; }

            public Nullable<int> ProcessOutput { get; set; }

            public int ProductionID { get; set; }

            public int Round { get; set; }

            public Round Round1 { get; set; }

            public Nullable<int> UnitsManufactured { get; set; }

            public Nullable<int> UnitsRequired { get; set; }

            public User User { get; set; }

            public Guid UserId { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies ProfileMetadata as the class
    // that carries additional metadata for the Profile class.
    [MetadataTypeAttribute(typeof(Profile.ProfileMetadata))]
    public partial class Profile
    {

        // This class allows you to attach custom attributes to properties
        // of the Profile class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class ProfileMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private ProfileMetadata()
            {
            }

            public DateTime LastUpdatedDate { get; set; }

            public string PropertyNames { get; set; }

            public byte[] PropertyValueBinary { get; set; }

            public string PropertyValueStrings { get; set; }

            public User User { get; set; }

            public Guid UserId { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies RoleMetadata as the class
    // that carries additional metadata for the Role class.
    [MetadataTypeAttribute(typeof(Role.RoleMetadata))]
    public partial class Role
    {

        // This class allows you to attach custom attributes to properties
        // of the Role class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class RoleMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private RoleMetadata()
            {
            }

            public Application Application { get; set; }

            public Guid ApplicationId { get; set; }

            public string Description { get; set; }

            public Guid RoleId { get; set; }

            public string RoleName { get; set; }

            public EntityCollection<User> Users { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies RoundMetadata as the class
    // that carries additional metadata for the Round class.
    [MetadataTypeAttribute(typeof(Round.RoundMetadata))]
    public partial class Round
    {

        // This class allows you to attach custom attributes to properties
        // of the Round class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class RoundMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private RoundMetadata()
            {
            }

            public EntityCollection<AccountsPayable> AccountsPayables { get; set; }

            public EntityCollection<AccountsReceivable> AccountsReceivables { get; set; }

            public EntityCollection<BalanceSheet> BalanceSheets { get; set; }

            public EntityCollection<CustomerDemand> CustomerDemands { get; set; }

            public EntityCollection<CustomerOrder> CustomerOrders { get; set; }

            public EntityCollection<CustomerScorecard> CustomerScorecards { get; set; }

            public EntityCollection<CustomerShipping> CustomerShippings { get; set; }

            public EntityCollection<ExternalData> ExternalDatas { get; set; }

            public EntityCollection<FinancialScorecard> FinancialScorecards { get; set; }

            public EntityCollection<HiringStrategy> HiringStrategies { get; set; }

            public EntityCollection<IncomeStatement> IncomeStatements { get; set; }

            public EntityCollection<MacroEconomy> MacroEconomies { get; set; }

            public EntityCollection<MicroEconomy> MicroEconomies { get; set; }

            public EntityCollection<OperationalScorecard> OperationalScorecards { get; set; }

            public EntityCollection<PeopleScorecard> PeopleScorecards { get; set; }

            public EntityCollection<PlantDecision> PlantDecisions { get; set; }

            public EntityCollection<PlayerEquipment> PlayerEquipments { get; set; }

            public EntityCollection<PlayerLabor> PlayerLabors { get; set; }

            public EntityCollection<PlayerSafety> PlayerSafeties { get; set; }

            public EntityCollection<Production> Productions { get; set; }

            public int Round1 { get; set; }

            public EntityCollection<Schedule> Schedules { get; set; }

            public EntityCollection<SchedulingStrategy> SchedulingStrategies { get; set; }

            public EntityCollection<ShippingStrategy> ShippingStrategies { get; set; }

            public EntityCollection<StatementCashFlow> StatementCashFlows { get; set; }

            public EntityCollection<SupplierDemand> SupplierDemands { get; set; }

            public EntityCollection<SupplierOrder> SupplierOrders { get; set; }

            public EntityCollection<SupplierScorecard> SupplierScorecards { get; set; }

            public EntityCollection<SupplierShipping> SupplierShippings { get; set; }

            public EntityCollection<SupplierStrategy> SupplierStrategies { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies SafetyMetadata as the class
    // that carries additional metadata for the Safety class.
    [MetadataTypeAttribute(typeof(Safety.SafetyMetadata))]
    public partial class Safety
    {

        // This class allows you to attach custom attributes to properties
        // of the Safety class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class SafetyMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private SafetyMetadata()
            {
            }

            public Nullable<decimal> EquipmentAge { get; set; }

            public Nullable<decimal> EquipmentModern { get; set; }

            public Nullable<int> FANM { get; set; }

            public Nullable<decimal> IncidProb { get; set; }

            public Nullable<decimal> IncidSev { get; set; }

            public Nullable<decimal> LaborAtt { get; set; }

            public Nullable<decimal> LaborExp { get; set; }

            public Nullable<decimal> LaborSkill { get; set; }

            public Nullable<decimal> LaborTrain { get; set; }

            public Nullable<int> LTRC { get; set; }

            public Nullable<int> RC { get; set; }

            public int SafetyID { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies ScheduleMetadata as the class
    // that carries additional metadata for the Schedule class.
    [MetadataTypeAttribute(typeof(Schedule.ScheduleMetadata))]
    public partial class Schedule
    {

        // This class allows you to attach custom attributes to properties
        // of the Schedule class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class ScheduleMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private ScheduleMetadata()
            {
            }

            public Customer Customer { get; set; }

            public int CustomerID { get; set; }

            public Nullable<int> OrderNumber { get; set; }

            public Nullable<int> PartNumber { get; set; }

            public Nullable<int> Priority { get; set; }

            public int Round { get; set; }

            public Round Round1 { get; set; }

            public int ScheduleID { get; set; }

            public Nullable<int> UnitsRequired { get; set; }

            public User User { get; set; }

            public Guid UserId { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies SchedulingStrategyMetadata as the class
    // that carries additional metadata for the SchedulingStrategy class.
    [MetadataTypeAttribute(typeof(SchedulingStrategy.SchedulingStrategyMetadata))]
    public partial class SchedulingStrategy
    {

        // This class allows you to attach custom attributes to properties
        // of the SchedulingStrategy class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class SchedulingStrategyMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private SchedulingStrategyMetadata()
            {
            }

            public int Round { get; set; }

            public Round Round1 { get; set; }

            public Nullable<int> SchedulingStrategy1 { get; set; }

            public int SchedulingStratID { get; set; }

            public User User { get; set; }

            public Guid UserId { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies ShippingStrategyMetadata as the class
    // that carries additional metadata for the ShippingStrategy class.
    [MetadataTypeAttribute(typeof(ShippingStrategy.ShippingStrategyMetadata))]
    public partial class ShippingStrategy
    {

        // This class allows you to attach custom attributes to properties
        // of the ShippingStrategy class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class ShippingStrategyMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private ShippingStrategyMetadata()
            {
            }

            public int Round { get; set; }

            public Round Round1 { get; set; }

            public Nullable<int> ShippingStrategy1 { get; set; }

            public int ShippingStrategyID { get; set; }

            public User User { get; set; }

            public Guid UserId { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies StatementCashFlowMetadata as the class
    // that carries additional metadata for the StatementCashFlow class.
    [MetadataTypeAttribute(typeof(StatementCashFlow.StatementCashFlowMetadata))]
    public partial class StatementCashFlow
    {

        // This class allows you to attach custom attributes to properties
        // of the StatementCashFlow class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class StatementCashFlowMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private StatementCashFlowMetadata()
            {
            }

            public Nullable<decimal> BegCashBal { get; set; }

            public Nullable<decimal> CashPay { get; set; }

            public Nullable<decimal> CashRec { get; set; }

            public Nullable<decimal> EndCashBal { get; set; }

            public int Round { get; set; }

            public Round Round1 { get; set; }

            public int SCFID { get; set; }

            public User User { get; set; }

            public Guid UserId { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies SupplierMetadata as the class
    // that carries additional metadata for the Supplier class.
    [MetadataTypeAttribute(typeof(Supplier.SupplierMetadata))]
    public partial class Supplier
    {

        // This class allows you to attach custom attributes to properties
        // of the Supplier class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class SupplierMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private SupplierMetadata()
            {
            }

            public EntityCollection<AccountsPayable> AccountsPayables { get; set; }

            public Nullable<int> Capacity { get; set; }

            public Nullable<int> CostPriceCapability { get; set; }

            public string DecisionStyle { get; set; }

            public Nullable<int> DeliveryReliability { get; set; }

            public Nullable<int> Negotiator { get; set; }

            public Nullable<int> PremiumCapacity { get; set; }

            public Nullable<int> QualityCapability { get; set; }

            public Nullable<int> ServiceLevelCapability { get; set; }

            public EntityCollection<SupplierDemand> SupplierDemands { get; set; }

            public string SupplierDescription { get; set; }

            public int SupplierID { get; set; }

            public string SupplierName { get; set; }

            public EntityCollection<SupplierOrder> SupplierOrders { get; set; }

            public EntityCollection<SupplierScorecard> SupplierScorecards { get; set; }

            public EntityCollection<SupplierShipping> SupplierShippings { get; set; }

            public EntityCollection<SupplierStrategy> SupplierStrategies { get; set; }

            public Nullable<int> SupplierType { get; set; }

            public Nullable<int> Zone { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies SupplierDemandMetadata as the class
    // that carries additional metadata for the SupplierDemand class.
    [MetadataTypeAttribute(typeof(SupplierDemand.SupplierDemandMetadata))]
    public partial class SupplierDemand
    {

        // This class allows you to attach custom attributes to properties
        // of the SupplierDemand class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class SupplierDemandMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private SupplierDemandMetadata()
            {
            }

            public Nullable<int> CurrDemand { get; set; }

            public Part Part { get; set; }

            public int PartID { get; set; }

            public Nullable<int> PrevDemand { get; set; }

            public int Round { get; set; }

            public Round Round1 { get; set; }

            public Supplier Supplier { get; set; }

            public int SupplierDemandID { get; set; }

            public int SupplierID { get; set; }

            public Nullable<int> UnitsPerFG { get; set; }

            public User User { get; set; }

            public Guid UserId { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies SupplierOrderMetadata as the class
    // that carries additional metadata for the SupplierOrder class.
    [MetadataTypeAttribute(typeof(SupplierOrder.SupplierOrderMetadata))]
    public partial class SupplierOrder
    {

        // This class allows you to attach custom attributes to properties
        // of the SupplierOrder class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class SupplierOrderMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private SupplierOrderMetadata()
            {
            }

            public Nullable<int> BegInventory { get; set; }

            public Nullable<int> BuyQuantity { get; set; }

            public Nullable<decimal> BuyRate { get; set; }

            public Nullable<int> EndInventory { get; set; }

            public Nullable<int> MakeAmount { get; set; }

            public Nullable<decimal> MakeRate { get; set; }

            public Nullable<decimal> MakeYieldRate { get; set; }

            public Material Material { get; set; }

            public Nullable<int> MaterialID { get; set; }

            public Nullable<int> MaterialType { get; set; }

            public Nullable<int> OutputInventory { get; set; }

            public int Round { get; set; }

            public Round Round1 { get; set; }

            public Supplier Supplier { get; set; }

            public Nullable<decimal> SupplierDefectRate { get; set; }

            public int SupplierID { get; set; }

            public int SupplierOrderID { get; set; }

            public Nullable<int> Total { get; set; }

            public Nullable<decimal> TotalInvCost { get; set; }

            public Nullable<int> UnitsPerFG { get; set; }

            public Nullable<int> UnitsRequired { get; set; }

            public User User { get; set; }

            public Guid UserId { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies SupplierScorecardMetadata as the class
    // that carries additional metadata for the SupplierScorecard class.
    [MetadataTypeAttribute(typeof(SupplierScorecard.SupplierScorecardMetadata))]
    public partial class SupplierScorecard
    {

        // This class allows you to attach custom attributes to properties
        // of the SupplierScorecard class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class SupplierScorecardMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private SupplierScorecardMetadata()
            {
            }

            public Nullable<decimal> DeliveryIndex { get; set; }

            public decimal QualityIndex { get; set; }

            public int Round { get; set; }

            public Round Round1 { get; set; }

            public Supplier Supplier { get; set; }

            public int SupplierID { get; set; }

            public Nullable<decimal> SupplierIndex { get; set; }

            public int SupplierScoreID { get; set; }

            public User User { get; set; }

            public Guid UserId { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies SupplierShippingMetadata as the class
    // that carries additional metadata for the SupplierShipping class.
    [MetadataTypeAttribute(typeof(SupplierShipping.SupplierShippingMetadata))]
    public partial class SupplierShipping
    {

        // This class allows you to attach custom attributes to properties
        // of the SupplierShipping class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class SupplierShippingMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private SupplierShippingMetadata()
            {
            }

            public Nullable<decimal> Cost { get; set; }

            public Nullable<int> Defects { get; set; }

            public Nullable<decimal> DeliveryCost { get; set; }

            public Nullable<int> OrderNumber { get; set; }

            public Part Part { get; set; }

            public int PartID { get; set; }

            public Nullable<decimal> Price { get; set; }

            public int Round { get; set; }

            public Round Round1 { get; set; }

            public Nullable<int> ShippingType { get; set; }

            public Supplier Supplier { get; set; }

            public int SupplierID { get; set; }

            public int SupplierShippingID { get; set; }

            public User User { get; set; }

            public Guid UserId { get; set; }

            public Nullable<int> Volume { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies SupplierStrategyMetadata as the class
    // that carries additional metadata for the SupplierStrategy class.
    [MetadataTypeAttribute(typeof(SupplierStrategy.SupplierStrategyMetadata))]
    public partial class SupplierStrategy
    {

        // This class allows you to attach custom attributes to properties
        // of the SupplierStrategy class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class SupplierStrategyMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private SupplierStrategyMetadata()
            {
            }

            public int Round { get; set; }

            public Round Round1 { get; set; }

            public Supplier Supplier { get; set; }

            public int SupplierID { get; set; }

            public Nullable<int> SupplierStrategy1 { get; set; }

            public int SupplierStratID { get; set; }

            public User User { get; set; }

            public Guid UserId { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies sysdiagramMetadata as the class
    // that carries additional metadata for the sysdiagram class.
    [MetadataTypeAttribute(typeof(sysdiagram.sysdiagramMetadata))]
    public partial class sysdiagram
    {

        // This class allows you to attach custom attributes to properties
        // of the sysdiagram class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class sysdiagramMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private sysdiagramMetadata()
            {
            }

            public byte[] definition { get; set; }

            public int diagram_id { get; set; }

            public string name { get; set; }

            public int principal_id { get; set; }

            public Nullable<int> version { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies UserMetadata as the class
    // that carries additional metadata for the User class.
    [MetadataTypeAttribute(typeof(User.UserMetadata))]
    public partial class User
    {

        // This class allows you to attach custom attributes to properties
        // of the User class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class UserMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private UserMetadata()
            {
            }

            public EntityCollection<AccountsPayable> AccountsPayables { get; set; }

            public EntityCollection<AccountsReceivable> AccountsReceivables { get; set; }

            public Application Application { get; set; }

            public Guid ApplicationId { get; set; }

            public EntityCollection<BalanceSheet> BalanceSheets { get; set; }

            public EntityCollection<CustomerDemand> CustomerDemands { get; set; }

            public EntityCollection<CustomerOrder> CustomerOrders { get; set; }

            public EntityCollection<CustomerScorecard> CustomerScorecards { get; set; }

            public EntityCollection<CustomerShipping> CustomerShippings { get; set; }

            public EntityCollection<FinancialScorecard> FinancialScorecards { get; set; }

            public EntityCollection<HiringStrategy> HiringStrategies { get; set; }

            public EntityCollection<IncomeStatement> IncomeStatements { get; set; }

            public bool IsAnonymous { get; set; }

            public DateTime LastActivityDate { get; set; }

            public EntityCollection<MacroEconomy> MacroEconomies { get; set; }

            public Membership Membership { get; set; }

            public EntityCollection<MicroEconomy> MicroEconomies { get; set; }

            public EntityCollection<OperationalScorecard> OperationalScorecards { get; set; }

            public EntityCollection<PeopleScorecard> PeopleScorecards { get; set; }

            public EntityCollection<PlantDecision> PlantDecisions { get; set; }

            public EntityCollection<PlayerEquipment> PlayerEquipments { get; set; }

            public EntityCollection<PlayerLabor> PlayerLabors { get; set; }

            public EntityCollection<PlayerSafety> PlayerSafeties { get; set; }

            public EntityCollection<Production> Productions { get; set; }

            public Profile Profile { get; set; }

            public EntityCollection<Role> Roles { get; set; }

            public EntityCollection<Schedule> Schedules { get; set; }

            public EntityCollection<SchedulingStrategy> SchedulingStrategies { get; set; }

            public EntityCollection<ShippingStrategy> ShippingStrategies { get; set; }

            public EntityCollection<StatementCashFlow> StatementCashFlows { get; set; }

            public EntityCollection<SupplierDemand> SupplierDemands { get; set; }

            public EntityCollection<SupplierOrder> SupplierOrders { get; set; }

            public EntityCollection<SupplierScorecard> SupplierScorecards { get; set; }

            public EntityCollection<SupplierShipping> SupplierShippings { get; set; }

            public EntityCollection<SupplierStrategy> SupplierStrategies { get; set; }

            public Guid UserId { get; set; }

            public string UserName { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies UsersOpenAuthAccountMetadata as the class
    // that carries additional metadata for the UsersOpenAuthAccount class.
    [MetadataTypeAttribute(typeof(UsersOpenAuthAccount.UsersOpenAuthAccountMetadata))]
    public partial class UsersOpenAuthAccount
    {

        // This class allows you to attach custom attributes to properties
        // of the UsersOpenAuthAccount class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class UsersOpenAuthAccountMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private UsersOpenAuthAccountMetadata()
            {
            }

            public string ApplicationName { get; set; }

            public Nullable<DateTime> LastUsedUtc { get; set; }

            public string MembershipUserName { get; set; }

            public string ProviderName { get; set; }

            public string ProviderUserId { get; set; }

            public string ProviderUserName { get; set; }

            public UsersOpenAuthData UsersOpenAuthData { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies UsersOpenAuthDataMetadata as the class
    // that carries additional metadata for the UsersOpenAuthData class.
    [MetadataTypeAttribute(typeof(UsersOpenAuthData.UsersOpenAuthDataMetadata))]
    public partial class UsersOpenAuthData
    {

        // This class allows you to attach custom attributes to properties
        // of the UsersOpenAuthData class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class UsersOpenAuthDataMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private UsersOpenAuthDataMetadata()
            {
            }

            public string ApplicationName { get; set; }

            public bool HasLocalPassword { get; set; }

            public string MembershipUserName { get; set; }

            public EntityCollection<UsersOpenAuthAccount> UsersOpenAuthAccounts { get; set; }
        }
    }
}
